//vc/ VC/m Audit Trail Class
//vc/ Copyright 2004 George James
//vc/ Object:    AuditTrail.js
//vc/ Component: T.AuditTrail.js


	// Audit Trail Class
AuditTrail = {}

AuditTrail.Current=Disabled
AuditTrail.windowProperties  = 'left=50,top=50,width=600,height=350,toolbar=no'
AuditTrail.windowProperties += ',location=no,directories=no,status=yes,resizable=yes,menubar=no'
AuditTrail.g_oUpdate=null // object being updated
AuditTrail.g_bPolling=false // are we polling server periodically for new flagged messages?
AuditTrail.g_oPollingTimer=null // timer object doing the polling
AuditTrail.g_sLastAtline='' // atline subscript of last flagged message output to audit pane

	// Public - Display List of AuditTrails and make this the active folder
AuditTrail.fnListUser = function() {
	//
	SelectedClass=AuditTrail;
	Class.fnUnselect();
	//
	ServerLink.fnDo('AuditTrail.fnListUserResult','AuditTrail.fnListUser','')
}

AuditTrail.fnListUserResult = function(oResult) {
	//
	//
  // Copy results from oResult to document
  ServerLink.fnUpdate(oResult,'divFolderHeadingCaption')
  ServerLink.fnUpdate(oResult,'divMainBody')
  ServerLink.fnUpdate(oResult,'divMainHead')
  ServerLink.fnUpdate(oResult,'divInfo')
}


	// Public - Display List of Audit Trail entries by date and make this the active folder
AuditTrail.fnListDate = function() {
	//
	SelectedClass=AuditTrail;
	Class.fnUnselect();
	//
	ServerLink.fnDo('AuditTrail.fnListDateResult','AuditTrail.fnListDate','')
}

AuditTrail.fnListDateResult = function(oResult) {
	//
  // Copy results from oResult to document
  ServerLink.fnUpdate(oResult,'divFolderHeadingCaption')
  ServerLink.fnUpdate(oResult,'divMainBody')
  ServerLink.fnUpdate(oResult,'divMainHead')
  ServerLink.fnUpdate(oResult,'divInfo')
}


	// Public - Display List of Audit Trail entries by date and make this the active folder
AuditTrail.fnListActionMine = function() {
	//
	SelectedClass=AuditTrail;
	Class.fnUnselect();
	//
	ServerLink.fnDo('AuditTrail.fnListActionMineResult','AuditTrail.fnListActionMine','')
}

AuditTrail.fnListActionMineResult = function(oResult) {
	//
  // Copy results from oResult to document
  ServerLink.fnUpdate(oResult,'divFolderHeadingCaption')
  ServerLink.fnUpdate(oResult,'divMainBody')
  ServerLink.fnUpdate(oResult,'divMainHead')
  ServerLink.fnUpdate(oResult,'divInfo')
}


	// Public - Display List of Audit Trail entries by date and make this the active folder
AuditTrail.fnListActionAllUsers = function() {
	//
	SelectedClass=AuditTrail;
	Class.fnUnselect();
	//
	ServerLink.fnDo('AuditTrail.fnListActionAllUsersResult','AuditTrail.fnListActionAllUsers','')
}

AuditTrail.fnListActionAllUsersResult = function(oResult) {
	//
  // Copy results from oResult to document
  ServerLink.fnUpdate(oResult,'divFolderHeadingCaption')
  ServerLink.fnUpdate(oResult,'divMainBody')
  ServerLink.fnUpdate(oResult,'divMainHead')
  ServerLink.fnUpdate(oResult,'divInfo')
}

	// Public - Display List of Deleted Change Requests and make this the active folder
AuditTrail.fnListDeletedChangeRequest = function() {
	//
	SelectedClass=AuditTrail;
	Class.fnUnselect();
	//
	ServerLink.fnDo('AuditTrail.fnListDeletedChangeRequestResult','AuditTrail.fnListDeletedChangeRequest','')
}

AuditTrail.fnListDeletedChangeRequestResult = function(oResult) {
	//
	//
  // Copy results from oResult to document
  ServerLink.fnUpdate(oResult,'divFolderHeadingCaption')
  ServerLink.fnUpdate(oResult,'divMainBody')
  ServerLink.fnUpdate(oResult,'divMainHead')
  ServerLink.fnUpdate(oResult,'divInfo')
}


	// Public - Toggle periodic polling for new flagged messages
AuditTrail.fnTogglePolling = function() {
  // Toggle it
  AuditTrail.g_bPolling = !AuditTrail.g_bPolling
  
  // Update the state that will be shown when the header is reloaded from the hidden copy
  var aEls=document.getElementsByName('chkAuditPanePolling')
  for (i=0; i<aEls.length; i++) {
    aEls[i].defaultChecked = AuditTrail.g_bPolling
  }
  
  // Update immediately if now enabled
  if (AuditTrail.g_bPolling) AuditTrail.fnAppendNew()
}

	// Public - Record the atline of the last flagged message displayed, and set up
  //          a timer that will check for more in the future
AuditTrail.fnSetTimer = function(sLastAtline) {
  if (sLastAtline) AuditTrail.g_sLastAtline=sLastAtline
  
  if (AuditTrail.g_oPollingTimer) {
    clearTimeout(AuditTrail.g_oPollingTimer)
    AuditTrail.g_oPollingTimer=null
  }
  
  // The polling interval is fixed below in msec
  if (AuditTrail.g_bPolling) AuditTrail.g_oPollingTimer=setTimeout(AuditTrail.fnAppendNew,15000)
}

	// Public - Look for any new messages flagged for me, and append them
AuditTrail.fnAppendNew = function() {
  
  // Do nothing if no-one is logged in anymore...
  if (user===null) return
  // ...or if polling has been turned off
  if (!AuditTrail.g_bPolling) return

  // Start the next timer. If our request to the server gets handled without interruption by a user action this timer will be cleared and replaced by the one the result handler creates
  AuditTrail.fnSetTimer('')
  
	// If it's not okay to send our request, do't do it
  if (ServerLink.fnIsBusy()) return
	
  ServerLink.fnDo('AuditTrail.fnAppendNewResult','AuditTrail.fnAppendNew',AuditTrail.g_sLastAtline)
}

  // Dedicated result handler is used so $$logoutTimer^%Serenj750 can handle this case
AuditTrail.fnAppendNewResult = function(oResult) {
  AuditTrail.fnAppendMessages(oResult)
  }
  

  // Append the content of one table to the message table
  //function AuditTrail.fnAppendMessages(sTableHtml) {
AuditTrail.fnAppendMessages = function(oResult) {
  //
  var oDivMainBody,oDivMessagesBody,oTarget,oTable,iBodies,i,oBody
  //
  oDivMainBody=oResult.getElementById('divMainBody')
  if (!oDivMainBody) return
  //
  // Put the html into the dom (maybe need a flag or a test to see if this is necessary)
  // Only required when called from another window
  oDivMainBody=gjsTree.fnCloneNode(oDivMainBody)
  //
  oDivMessagesBody=document.getElementById('divMessagesBody')
  //
  // Identify the target location (this should be the table within the message div)
  // The first child is the <div> containing the reference copy of the column headings
  // The second child is the one we want
  oTarget=oDivMessagesBody.firstElementChild.nextElementSibling
  //
  // Here we assume that the source contains one <div> for the column headings (which will be empty)
  // followed by just one table which is the one we want
  //
  // Put the table contents at the end of the target table
  oTable=oDivMainBody.firstElementChild.nextElementSibling
  iBodies=oTable.tBodies.length
  for (i=0; i<iBodies; i++) {
    oBody=oTable.tBodies[i]
    oTarget.appendChild(oBody.cloneNode(true))
  }
  //
  // Remove redundant initial empty tbody
  if ((oTarget.tBodies.length>1)&&(oTarget.tBodies[0].rows.length==0)) {
    oTarget.removeChild(oTarget.tBodies[0]);
  }
  //
  // Always resize columns because some browsers (e.g. Chrome) apparently don't propagate td widths down across tbody sections
  gjsTree.fnResizeColumns(oTarget.id,oDivMessagesBody.firstElementChild.id);
  //
  // Fix-up the continuation lines
  gjsTree.fnResetMores(oTarget,0)
  //
  // If the message window is closed, then open it
  if (Main.messageHeight==0) {
    Main.fnMessageHeightSet(Main.messageHeightLast)
  }
  //
  // Scroll the window
  document.getElementById('divMessagesBody').scrollIntoView(false)
  //
}

	// Public - Open AuditTrail
AuditTrail.fnOpen = function(sItem,sAtLine) {
	;
	var url;
	;
	// Build url string
	url  = parent.serverUrl ;
	url += '&page=' + encodeURIComponent('AuditTrail.fnOpen') ;
	url += '&item=' + encodeURIComponent(sItem) ;
	url += '&atLine=' + encodeURIComponent(sAtLine) ;
	;
	// Open window
	winChref=window.open(url,'_blank',AuditTrail.windowProperties) ;
	winChref.focus();
}

  
  // Flag the audit trail message belonging to this cell as actioned
AuditTrail.fnActionToggleThis = function(oThis) {
	//
  var sActioned,arguments
  //
  if (getAttr(oThis,'gjsCurrentImage')=='vcmFlag.gif') sActioned='yes'
  else sActioned='no'
  //
  // Remember which row is being actioned
  AuditTrail.g_oUpdate=oThis
	//
  arguments  = getAttr(oThis,'gjsItem')
	arguments += delimiter + getAttr(oThis,'gjsAtLine')
	arguments += delimiter + getAttr(oThis,'gjsRevision')
	arguments += delimiter + sActioned
	arguments += delimiter + getAttr(oThis,'gjsActionBy')
  //
	ServerLink.fnDo('AuditTrail.fnActionToggleThisResult','AuditTrail.fnActionToggle',arguments)
	//
  event.cancelBubble=true
}

AuditTrail.fnActionToggleThisResult = function(result) {
  //
  var arrResult,oThis
  //
	arrResult=result.split(delimiter);
	if (arrResult[0]!="OK") {
		alert(result);
		return;
	}
	//
	// Update client side
	oThis=AuditTrail.g_oUpdate
	setAttr(oThis,'gjsRevision',arrResult[1])
	//
  if (getAttr(oThis,'gjsCurrentImage')=='vcmFlag.gif') {
    setAttr(oThis,'gjsCurrentImage','vcm_blank.gif')
    setAttr(oThis,'gjsOtherImage','vcmFlagGrey.gif')
    setAttr(oThis.parentNode,'gjsSort',0)
  }
  else {
    setAttr(oThis,'gjsCurrentImage','vcmFlag.gif')
    setAttr(oThis,'gjsOtherImage','vcmFlag.gif')
    setAttr(oThis.parentNode,'gjsSort',1)
  }
	// Update flag
  oThis.src=getAttr(oThis,'gjsCurrentImage')
  //
}

	// Iterate through audit trail errors and display then either as alerts or confirms.
	// Return true if there or no errors, or the users confirms all confirmation messages.
	// Returns false if there was an error or user cancels a confirmation message.
AuditTrail.fnRenderErrors = function(oResult) {
	//
	var oXml,oXMLDocument,cNodes,i,message,severity
	//
	//
	oXml=oResult.getElementById('xErrors')
	if (oXml) {
    // We have to use outerHTML and the /script prefix because on Firefox innerHTML returns "" in this situation
    oXMLDocument=$.parseXML(oXml.outerHTML)
		cNodes=$(oXMLDocument).xpath('/script/errors/message')
		for (i=0; i<cNodes.length; i++)	{
			message=cNodes[i].getAttribute('message')
			severity=cNodes[i].getAttribute('severity')
			switch (severity) {
				case 'error':
					alert(message)
					return false
				case 'confirm':
					ok=confirm(message)
					if (!ok) return false
					continue
				default:
					alert(message)
					return false
			}
		}
	}
	return true
}

AuditTrail.Item = {

	// Public - open selected AuditTrail (if there is one)
 fnOpen: function() {
	if (typeof(AuditTrail.Current)=='undefined') return;
	AuditTrail.fnOpen(getAttr(AuditTrail.selectedCell,'gjsItem'),getAttr(AuditTrail.selectedCell,'gjsAtLine'));
 },

  // Public - flag selected Audit Trail message as actioned  
 fnActionToggle: function() {
	if (typeof(AuditTrail.Current)=='undefined') return;
	AuditTrail.fnActionToggle(getAttr(AuditTrail.selectedCell,'gjsItem'),getAttr(AuditTrail.selectedCell,'gjsAtLine'),AuditTrail.selectedCell.checked);
 }
}
