<?xml version='1.0' standalone='no'?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp '&#160;'> ]>
<xsl:stylesheet 
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:gjs="http://www.georgejames.com">

  <!-- Audit Trail List User
       =====================
  -->

  <xsl:import href='gjsTree.xsl' />
  <xsl:include href='ServerLink.xsl' />
  <xsl:include href='gjsControlsTemplates.xsl' />


  <xsl:template match="/ServerLink/Rows">

    <div id='divFolderHeadingCaption'>
      Audit Trail by User
    </div>

    <div id='divMainHead'>
      <xsl:call-template name='divMainHead' />
    </div>

    <xsl:call-template name='gjs:tree' />

  </xsl:template>


  <xsl:template name='divMainHead'>

    <table class='layoutTable' width='1000'>
    	<tr>

        <xsl:call-template name='gjs:treeMoresMainHeading' />

        <td width='25'></td>

        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"100"'/> 
          <xsl:with-param name='selected' select='"ascending"'/>
          <xsl:with-param name='caption'>User ID</xsl:with-param>         
        </xsl:call-template>

        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"150"'/> 
          <xsl:with-param name='caption'>Last Login</xsl:with-param>         
        </xsl:call-template>

        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"150"'/> 
          <xsl:with-param name='caption'>Last Activity</xsl:with-param>         
        </xsl:call-template>

        <td width='*'></td>

      </tr>
    </table>

  </xsl:template>


  <xsl:template name='folderRowAttributes'>
    <xsl:variable name='onfocus'>
      <xsl:text>Main.fnSetMainHead("</xsl:text>
      <xsl:value-of select='/ServerLink/@runId' />
      <xsl:text>_mainHead");</xsl:text>
    </xsl:variable>
    <xsl:attribute name='onfocus'><xsl:value-of select='$onfocus' /></xsl:attribute>
    <xsl:attribute name='onclick'><xsl:value-of select='$onfocus' /></xsl:attribute>
    <xsl:if test='user/@name=""'>
      <xsl:attribute name='style'>text-decoration: line-through;</xsl:attribute>
    </xsl:if>
  </xsl:template>


  <xsl:template name='folderContent'>
    <xsl:param name='rowId'/>
    
    <xsl:variable name='user'>
      <xsl:choose>
        <xsl:when test='user/@name=""'>
          <xsl:text>~(</xsl:text>
          <xsl:value-of select='user/@user' />
          <xsl:text>)~</xsl:text>
        </xsl:when>          
        <xsl:otherwise>
          <xsl:value-of select='user/@user' />
        </xsl:otherwise>          
      </xsl:choose>
    </xsl:variable>
    
    <xsl:variable name='info'>
      <xsl:text>Audit Trail for </xsl:text>
      <xsl:choose>
        <xsl:when test='user/@name=""'>
          <xsl:text>deleted user </xsl:text>
          <xsl:value-of select='user/@user' />
        </xsl:when>          
        <xsl:otherwise>
          <xsl:value-of select='user/@name' />
        </xsl:otherwise>          
      </xsl:choose>
    </xsl:variable>
    
    <!-- Icon for Object -->
    <td class='noHighlight' width='25'>
      <img
       src='vcm_folder.gif'
       title='{$info}'
       width='25'
       height='16'/>
    </td>

    <!-- user cell -->
    <td
     class='treeCell'
     width='200'
     gjsSort='{$user}'
     nowrap='nowrap'>
      <span
       nowrap='nowrap'
       id='{$rowId}main'
       title='{$info}'
       gjsIconId='{$rowId}icon'
       gjsItem='{user/@user}'
       gjsParentId='{/ServerLink/Rows/@parentId}'
       gjsPtext='{user/@ptext}'>
        <xsl:value-of select='user/@user'/>
      </span>
    </td>

    <!-- session creation date/time -->
    <td
     class='treeCell'
     gjsSort='{session/@creationDateTime}'
     width='150'
     nowrap='nowrap'>
      <div nowrap='nowrap'>
        <xsl:call-template name='gjs:formatDateTime'>
          <xsl:with-param name='locale' select='/ServerLink/user/@locale'/>
          <xsl:with-param name='date' select='session/@creationDateTime'/>
        </xsl:call-template>
      </div>
    </td>

    <!-- session last access date/time -->
    <td
     class='treeCell'
     gjsSort='{session/@lastAccessDateTime}'
     width='150'
     nowrap='nowrap'>
      <div nowrap='nowrap'>
        <xsl:call-template name='gjs:formatDateTime'>
          <xsl:with-param name='locale' select='/ServerLink/user/@locale'/>
          <xsl:with-param name='date' select='session/@lastAccessDateTime'/>
        </xsl:call-template>
      </div>
    </td>

  </xsl:template>


  <!-- Sub-folder method -->
  <xsl:template name='subFolderMethod'>
    <xsl:text>AuditTrail.fnListUserDate</xsl:text>
  </xsl:template>


  <!-- Sub-folder arguments -->
  <xsl:template name='subFolderArguments'>
    <xsl:param name='rowId'/>
    
    <xsl:text>"</xsl:text>
      <xsl:value-of select='$rowId'/>
    <xsl:text>main"</xsl:text>
    <xsl:text>+delimiter+"</xsl:text><xsl:value-of select='user/@user'/><xsl:text>"</xsl:text>
    <xsl:text>+delimiter+gjsTree.fnMores(gCurrentCell)</xsl:text>

  </xsl:template>


</xsl:stylesheet>
