// Calendar Class

Calendar = {}
	
	// Public // Return jQuery datepicker format string to be used on oThis field
Calendar.fnGetFieldFormat = function(oThis) {
  var locale,format
  if ($(oThis).hasClass('hasDatepicker')) {
    format=$(oThis).datepicker('option','dateFormat')
  }
  else {
    locale=getAttr(oThis,'gjsLocale')
    if (locale=='') {
      format=$.datepicker._defaults.dateFormat
    }
    else {
      format=(locale=='US')?'mm/dd/yy':'dd/mm/yy'
    }
  }
  return format
}
	
	// Public // Set oThis.value using ccyymmdd string if passed, else to gjsInternalValue
Calendar.fnSet = function(oThis,ccyymmdd) {
	//
	var format,dDate
  
  if (!ccyymmdd) ccyymmdd=getAttr(oThis,'gjsInternalValue')
	//
	// Special case: null
	if (ccyymmdd=='') {
    oThis.value=''
    setAttr(oThis,'gjsInternalValue','')
  }
	else {
    dDate=$.datepicker.parseDate('yymmdd',ccyymmdd)
    format=Calendar.fnGetFieldFormat(oThis)
    oThis.value=$.datepicker.formatDate(format,dDate)
		setAttr(oThis,'gjsInternalValue',ccyymmdd)
	}
}
	
	// Public // Validate the date using the jQuery datepicker
Calendar.fnValidate = function(oThis) {
	//
	var format,dDate
	//
	// Special case: null
	if (oThis.value=='') setAttr(oThis,'gjsInternalValue','')
	else {
		try {
      format=Calendar.fnGetFieldFormat(oThis)
      //
      // Implement the +n or -n shorthand notation
      if ((/^[+-]\d+$/.test(oThis.value)) && ($(oThis).hasClass('hasDatepicker'))) $(oThis).datepicker('setDate',oThis.value)
      //
      dDate=$.datepicker.parseDate(format,oThis.value)
			setAttr(oThis,'gjsInternalValue',$.datepicker.formatDate('yymmdd',dDate))
		}
		catch (e) {
			alert('Invalid date')
      if (getAttr(oThis,'gjsInternalValue')=='') {
        oThis.value=''
      }
      else {
        oThis.value=$.datepicker.formatDate(format,$.datepicker.parseDate('yymmdd',getAttr(oThis,'gjsInternalValue')))
      }
      oThis.focus()
			// TODO allow event if user is cancelling the form
			return Calendar.fnEventStop()
		}
	}
}

  // Bulletproof method for stopping events from bubbling
Calendar.fnEventStop = function() {
	event.keyCode=0 // Required to stop F5 key
	event.returnValue=false
	event.cancelBubble=true
	return false
}
