<?xml version='1.0' standalone='no'?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp '&#160;'> ]>
<xsl:stylesheet
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:gjs="http://www.georgejames.com">


  <xsl:include href='gjsForm.xsl'/>


<xsl:template match="Form">
  <xsl:variable name='features'>
    <xsl:value-of select='/Form/parameters/@features'/>
  </xsl:variable>

  <xsl:variable name='name'>
    <xsl:choose>
      <xsl:when test='@method="copy"'></xsl:when>
      <xsl:otherwise><xsl:value-of select='category/@name' /></xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <xsl:variable name='category'>
    <xsl:choose>
      <xsl:when test='@method="copy"'></xsl:when>
      <xsl:otherwise><xsl:value-of select='category/@category' /></xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <xsl:variable name='revision'>
    <xsl:choose>
      <xsl:when test='@method="copy"'></xsl:when>
      <xsl:otherwise><xsl:value-of select='category/@revision' /></xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <gjs:form
   title='Message Category'
   width='750'
   jsFile='Category_Details.js'
   onload='frmMain.name.focus()'
   language="{/Form/preferences/@language}" 
   save="{@save}"
   close="{@close}" 
   delete="no" 
   print="{@print}" 
   help="{@help}" 
   ok="{@ok}" 
   cancel="{@cancel}">
    <xsl:if test='@method!="copy"'>
      <xsl:attribute name='delete'><xsl:value-of select='@delete' /></xsl:attribute>
    </xsl:if>

    <!-- id is revealed in the info text so it can be used when querying with SQL -->
    <gjs:information>
      <xsl:if test='@method="copy"'>You are creating a copy of the definition of message category '<xsl:value-of select='category/@name'/>'.&nbsp;</xsl:if>
     Message Categories define the behavior and characteristics of audit trail messages.&nbsp; Each 
     audit message generated by an event belongs to a message category.&nbsp; The attributes of the message category
      <xsl:if test='@method="edit"'>(id=<xsl:value-of select='category/@category'/>)</xsl:if>
     are defined here.
    </gjs:information>

    <div id='divCategory' class='visible' style='min-height: 200px'>
      <gjs:frame>
        <!-- Set up frame column widths -->
        <!-- Window width should be sum of column widths plus 40px -->
        <gjs:columnWidths>
          <gjs:column width='150'/>
          <gjs:column width='580'/>
        </gjs:columnWidths>

        <gjs:fields>
					
          <gjs:input
           id='name'
           size='36'
           maxlength='40'
           gjaxDictionary="Category_Dictionary.xml"
           value='{$name}'>
          </gjs:input>

          <gjs:select1
           id='icon'
           width='200px'
           maxlength='100'
           gjaxDictionary="Category_Dictionary.xml"
           value='{category/@icon}'
           onchange='Form.fnChanged();fnUpdateSampleIcon()'>
            <item>
              <label></label>
              <value>vcm_blank.gif</value>
            </item>
            <item>
              <label>Normal</label>
              <value>vcm_record_l.gif</value>
            </item>
            <item>
              <label>Information</label>
              <value>vcmInfo_l.gif</value>
            </item>
            <item>
              <label>Warning</label>
              <value>vcmWarning_l.gif</value>
            </item>
            <xsl:if test='not(category/@icon="vcm_record_l.gif") and not(category/@icon="vcmInfo_l.gif") and not(category/@icon="vcmWarning_l.gif") and not(category/@icon="vcm_blank.gif")'>
              <item>
                <label><xsl:value-of select='category/@icon'/></label>
                <value><xsl:value-of select='category/@icon'/></value>
              </item>            
            </xsl:if>
          </gjs:select1>

          <gjs:select1
           id='color'
           width='200px'
           maxlength='100'
           value='{category/@color}'
           gjaxDictionary="Category_Dictionary.xml"
           onchange='Form.fnChanged();fnUpdateSampleColor()'>
            <item>
              <label><xsl:value-of select='category/@color'/></label>
              <value><xsl:value-of select='category/@color'/></value>
            </item>
            <item><label>Default</label><value></value></item>
            <item><label></label><value></value>-</item>

            <item><label>---- user defined system colors ----</label><value>-</value></item>
            <item><label>activeborder</label><value>activeborder</value></item>
            <item><label>activecaption</label><value>activecaption</value></item>
            <item><label>appworkspace</label><value>appworkspace</value></item>
            <item><label>background</label><value>background</value></item>
            <item><label>buttonface</label><value>buttonface</value></item>
            <item><label>buttonhighlight</label><value>buttonhighlight</value></item>
            <item><label>buttonshadow</label><value>buttonshadow</value></item>
            <item><label>buttontext</label><value>buttontext</value></item>
            <item><label>captiontext</label><value>captiontext</value></item>
            <item><label>graytext</label><value>graytext</value></item>
            <item><label>highlight</label><value>highlight</value></item>
            <item><label>highlighttext</label><value>highlighttext</value></item>
            <item><label>inactiveborder</label><value>inactiveborder</value></item>
            <item><label>inactivecaption</label><value>inactivecaption</value></item>
            <item><label>inactivecaptiontext</label><value>inactivecaptiontext</value></item>
            <item><label>infobackground</label><value>infobackground</value></item>
            <item><label>infotext</label><value>infotext</value></item>
            <item><label>menu</label><value>menu</value></item>
            <item><label>menutext</label><value>menutext</value></item>
            <item><label>scrollbar</label><value>scrollbar</value></item>
            <item><label>threeddarkshadow</label><value>threeddarkshadow</value></item>
            <item><label>threedface</label><value>threedface</value></item>
            <item><label>threedhighlight</label><value>threedhighlight</value></item>
            <item><label>threedlightshadow</label><value>threedlightshadow</value></item>
            <item><label>threedshadow</label><value>threedshadow</value></item>
            <item><label>window</label><value>window</value></item>
            <item><label>windowframe</label><value>windowframe</value></item>
            <item><label>windowtext</label><value>windowtext</value></item>
            <item><label></label><value>-</value></item>

            <item><label>---- named colors ----</label><value>-</value></item>
            <item><label>aqua</label><value>aqua</value></item>
            <item><label>black</label><value>black</value></item>
            <item><label>blue</label><value>blue</value></item>
            <item><label>fuchsia</label><value>fuchsia</value></item>
            <item><label>gray</label><value>gray</value></item>
            <item><label>green</label><value>green</value></item>
            <item><label>lime</label><value>lime</value></item>
            <item><label>maroon</label><value>maroon</value></item>
            <item><label>navy</label><value>navy</value></item>
            <item><label>olive</label><value>olive</value></item>
            <item><label>purple</label><value>purple</value></item>
            <item><label>red</label><value>red</value></item>
            <item><label>silver</label><value>silver</value></item>
            <item><label>teal</label><value>teal</value></item>
            <item><label>white</label><value>white</value></item>
            <item><label>yellow</label><value>yellow</value></item>
          </gjs:select1>

          <gjs:checkbox
           id='persistMessage'
           gjaxDictionary="Category_Dictionary.xml"
           onclick='Form.fnChanged(); fnUpdateSamplePersistMessage()'>
            <xsl:if test='category/@persistMessage="yes"'>
              <xsl:attribute name='checked'>checked</xsl:attribute>
            </xsl:if>
          </gjs:checkbox>
          
          <gjs:list1
           id='outputMode'
           width='200'
           gjaxDictionary="Category_Dictionary.xml"
           value='{category/@outputMode}'
           onchange='Form.fnChanged()'>
            <item>
              <label>Display</label>
              <value>display</value>
            </item>
            <item>
              <label>Alert</label>
              <value>alert</value>
            </item>
            <item>
              <label>None</label>
              <value>none</value>
            </item>
          </gjs:list1>
          
          <gjs:list1
           id='actionBy'
           width='200'
           gjaxDictionary="Category_Dictionary.xml"
           value='{category/@actionBy}'
           onchange='Form.fnChanged(); fnUpdateSampleActionFlag()'>
      	    <xsl:if test='$features &lt; 7'>
      	      <xsl:attribute name='disabled'/>  
      	      <xsl:attribute name='gjaxDictionary'>Category_Dictionary_Disabled.xml</xsl:attribute>  
      	    </xsl:if>
            <item>
              <label>Not flagged</label>
              <value></value>
            </item>
            <item>
              <label>Event initiator</label>
              <value>$eventInitiator</value>
            </item>
            <item>
              <label>Object owner</label>
              <value>$objectOwner</value>
            </item>
            <item>
              <label>Change request owner</label>
              <value>$changeRequestOwner</value>
            </item>
            <item>
              <label>---- specific user ----</label>
              <value>-</value>
            </item>
            <xsl:apply-templates select='/Form/users/user' mode='list1'/>
          </gjs:list1>
  
          <gjs:input
           id='onWrite'
           size='70'
           maxlength='2000'
           gjaxDictionary="Category_Dictionary.xml"
           value='{category/@onWrite}'>
      	    <xsl:if test='$features &lt; 4'>
      	      <xsl:attribute name='readonly'>1</xsl:attribute>  
      	      <xsl:attribute name='gjaxDictionary'>Category_Dictionary_Disabled.xml</xsl:attribute>  
      	    </xsl:if>
          </gjs:input>

          <gjs:input
           id='onActioned'
           size='70'
           maxlength='2000'
           gjaxDictionary="Category_Dictionary.xml"
           value='{category/@onActioned}'>
      	    <xsl:if test='$features &lt; 4'>
      	      <xsl:attribute name='readonly'>1</xsl:attribute>  
      	      <xsl:attribute name='gjaxDictionary'>Category_Dictionary_Disabled.xml</xsl:attribute>  
      	    </xsl:if>
          </gjs:input>

          <tr><td height='16px'></td></tr>

          <tr>
            <td></td>
            <td>
              <xsl:call-template name='sampleColumnHeadings'/>
            </td>
          </tr>

          <tr>
            <td>Example</td>
            <td style='border: 1px inset threedshadow;'>
              <xsl:call-template name='sampleMessages'/>
            </td>
          </tr>

        </gjs:fields>

        <gjs:inputHidden id='revision' value='{$revision}'/>
        <gjs:inputHidden id='category' value='{$category}'/>
        <gjs:inputHidden id='validColorValue' value='1'/>

      </gjs:frame>
    </div>
  </gjs:form>

</xsl:template>


<xsl:template name='sampleColumnHeadings'>
  <table class='formLayoutTable'>
    <tr>
      <td style='min-width: 16px; width: 16px; max-width: 16px;'></td>
      <td style='min-width: 25px; width: 25px; max-width: 25px;'></td>
      <td style='min-width: 130px; width: 130px; max-width: 130px;'>
        <span style="white-space: nowrap">Date/Time</span>
        <img id="gjsTree.currentSortButton" class="sortIcon" src="gjsSortAscending.gif"/>
      </td>
      <td style='min-width: 150px; width: 150px; max-width: 150px;'>
        <span style="white-space: nowrap">Item</span>
        <img class="sortIcon" src="gjsSortNormal.gif"/>
      </td>
      <td style='min-width: 20px; width: 20px; max-width: 20px;'>
        <span style="white-space: nowrap">
          <img src="vcmFlagGrey.gif" height="14px"/>
        </span>
        <img class="sortIcon" src="gjsSortNormal.gif"/>
      </td>
      <td style='min-width: 200px; width: 200px; max-width: 200px;'>
        <span style="white-space: nowrap">Message</span>
        <img class="sortIcon" src="gjsSortNormal.gif"/>
      </td>
    </tr>
  </table>
</xsl:template>


<xsl:template name='sampleMessages'>

  <xsl:variable name='actionIcon'>
    <xsl:choose>
      <xsl:when test='category/@action="yes"'>vcmFlag.gif</xsl:when>
      <xsl:otherwise>vcm_blank.gif</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  
  <table class='formLayoutTable' style='background: window; font: menu;'>
    <tbody>
      <tr id='sampleRowNormal' class='row' style='color: {category/@color};'>
        <!-- style is that of .noHighlight from vc700.css -->
        <td style='color: windowtext; background-color: window; min-width: 16px; width: 16px; max-width: 16px;'>
          <img width="16" height="16" src="vcm_t.gif"/>
        </td>
        <td style='color: windowtext; background-color: window; min-width: 25px; width: 25px; max-width: 25px;'>
          <img id='sampleIcon1' src="{category/@icon}" width="25" height="16"/>
        </td>
        <td style='min-width: 130px; width: 130px; max-width: 130px;'>
          <div nowrap="nowrap">02/03/2015 12:34:56</div>
        </td>
        <td style='min-width: 150px; width: 150px; max-width: 150px;'>
          <span nowrap="nowrap">myDocument.doc/1.15</span>
        </td>
        <td style='min-width: 20px; width: 20px; max-width: 20px;'>
          <img id='sampleAction1' src="{$actionIcon}"/>
        </td>
        <td style='min-width: 250px; width: 250px; max-width: 250px;'>
          <div nowrap="nowrap">Sample audit trail message</div>
        </td>
      </tr>
    </tbody>

    <tbody>
      <tr id='sampleRowHighlighted' class='row' style='color: {category/@color};'>
        <xsl:if test='category/@persistMessage="yes"'>
          <xsl:attribute name='class'>selectedRow</xsl:attribute>
        </xsl:if>
        <!-- style is that of .noHighlight from vc700.css -->
        <td style='color: windowtext; background-color: window; min-width: 16px; width: 16px; max-width: 16px;'>
          <img width="16" height="16" src="vcm_t.gif"/>
        </td>
        <td style='color: windowtext; background-color: window; min-width: 25px; width: 25px; max-width: 25px;'>
          <img id='sampleIcon2' src="{category/@icon}" width="25" height="16"/>
        </td>
        <td style='min-width: 130px; width: 130px; max-width: 130px;'>
          <div nowrap="nowrap">02/03/2015 12:34:56</div>
        </td>
        <td style='min-width: 150px; width: 150px; max-width: 150px;'>
          <span nowrap="nowrap">myDocument.doc/1.15</span>
        </td>
        <td style='min-width: 20px; width: 20px; max-width: 20px;'>
          <img id='sampleAction2' src="{$actionIcon}"/>
        </td>
        <td style='min-width: 250px; width: 250px; max-width: 250px;'>
          <div nowrap="nowrap">Sample highlighted message</div>
        </td>
      </tr>
    </tbody>

    <tbody><tr><td height='6px'></td></tr></tbody>

  </table>  
</xsl:template>


  <!-- Action By list box -->
  <xsl:template match='/Form/users/user' mode="list1">
    <item>
      <label><xsl:value-of select="@user" /></label>
      <value><xsl:value-of select="@user" /></value>
    </item>
  </xsl:template>


</xsl:stylesheet>
