<?xml version='1.0' standalone='no'?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp '&#160;'> ]>
<xsl:stylesheet
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:gjs="http://www.georgejames.com">

<xsl:include href='gjsForm.xsl'/>

<xsl:template match="Form">
  <xsl:apply-templates select="chReqSet"/>
</xsl:template>

<xsl:template match="chReqSet">
  <xsl:variable name='readonly'>
    <xsl:choose>
      <xsl:when test='../@method="view"'>
        <xsl:text>1</xsl:text>
      </xsl:when>          
      <xsl:otherwise>
        <xsl:text>0</xsl:text>
      </xsl:otherwise>          
    </xsl:choose>
  </xsl:variable>

<gjs:form
 title='Change Request Settings'
 jsFile='vcset76.js'
 onload='frmMain.chrefValidate.focus();'
 save='{/Form/@save}'
 close='{/Form/@close}'
 delete='no'
 print='{/Form/@print}'
 help='{/Form/@help}'
 ok='{/Form/@ok}'
 cancel='{/Form/@cancel}'>

  <gjs:information>
    Change request settings.
    <xsl:if test='$readonly=1'>
      NOTE: Callouts are not available on your edition of Deltanji.
    </xsl:if>
  </gjs:information>

<div id='divChReqSet' class='visible' style='height: 170'>
  <gjs:frame>
  <!-- Set up frame column widths -->
  <gjs:columnWidths>
    <gjs:column width='180'/>
    <gjs:column width='220'/>
  </gjs:columnWidths>

  <gjs:fields>

   <tr>
     <td colspan='2'>
      <label><b>Change Request Callouts</b></label>
     </td>
    </tr>

    <gjs:input
     id='chrefValidate'
     size='35'
     maxlength='2000'
     value='{@chrefValidate}'
     onchange='Form.fnChanged()'
     accesskey='V'
     readonly='{$readonly}'>
     <label><u>V</u>alidation (function)</label>
     <hint>Enter callout</hint>
    </gjs:input>

    <gjs:input
     id='chmaintStatusValidate'
     size='35'
     maxlength='2000'
     value='{@chmaintStatusValidate}'
     onchange='Form.fnChanged()'
     accesskey='T'
     readonly='{$readonly}'>
     <label>S<u>t</u>atus validation (function)</label>
     <hint>Enter callout</hint>
    </gjs:input>

    <gjs:input
     id='chmaintCommit'
     size='35'
     maxlength='2000'
     value='{@chmaintCommit}'
     onchange='Form.fnChanged()'
     accesskey='M'
     readonly='{$readonly}'>
     <label>Co<u>m</u>mit (routine call)</label>
     <hint>Enter callout</hint>
    </gjs:input>

  </gjs:fields>

  <gjs:inputHidden id='revision' value='{@revision}'/>

  </gjs:frame>
</div>
</gjs:form>
</xsl:template>

</xsl:stylesheet>
