<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp '&#160;'> ]>
<xsl:stylesheet 
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:gjs="http://www.georgejames.com">

<!-- Change Request List
     ===================
-->

<xsl:import href='gjsTree.xsl' />
<xsl:include href='ServerLink.xsl' />


<xsl:template match="/ServerLink/Rows">

  <xsl:if test='/ServerLink/Rows/@mores=""'>
    <div id='divFolderHeadingCaption'>
      <xsl:choose>
        <xsl:when test='not(/ServerLink/location/@location="")'>
          Change Requests at <xsl:value-of select='/ServerLink/location/@location' />
        </xsl:when>
        <xsl:otherwise>
          All Change Requests
        </xsl:otherwise>
      </xsl:choose>
    </div>
  </xsl:if>
  
  <div id='divMainHead'>
    <xsl:call-template name='divMainHead' />
  </div>

  <xsl:call-template name='gjs:tree' />

</xsl:template>


<!-- Attach handler to table -->
<xsl:template name='tableAttributes'>
  <xsl:param name='tableId'/>
  <xsl:attribute name='onkeydown'>fnTreeTableKeyDown(ChangeRequest,this,event)</xsl:attribute>
</xsl:template>


<!-- Column headings for main panel, including 1000px blank trailing one to allow real last one to be resized -->
<xsl:template name='divMainHead'>

  	<table class='layoutTable' width='1000px' gjsTreeId='ChangeRequest_List'>
  	  <tr>

        <xsl:call-template name='gjs:treeMoresMainHeading' />

        <td width='25px'></td>

        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"130"'/> 
          <xsl:with-param name='caption'>Change Request</xsl:with-param>
					<xsl:with-param name='columnId'>ChangeRequest</xsl:with-param>
          <xsl:with-param name='selected'>ascending</xsl:with-param>
					<xsl:with-param name='previousColumnResizable'>0</xsl:with-param>
        </xsl:call-template>

        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"80"'/> 
					<xsl:with-param name='columnId'>Type</xsl:with-param>
          <xsl:with-param name='caption'>Type</xsl:with-param>         
        </xsl:call-template>

        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"80"'/> 
					<xsl:with-param name='columnId'>Owner</xsl:with-param>
          <xsl:with-param name='caption'>Owner</xsl:with-param>         
        </xsl:call-template>

        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"300"'/>
					<xsl:with-param name='columnId'>Description</xsl:with-param>
          <xsl:with-param name='caption'>Description</xsl:with-param>         
        </xsl:call-template>

        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"80"'/> 
					<xsl:with-param name='columnId'>Status</xsl:with-param>
          <xsl:with-param name='caption'>Status</xsl:with-param>         
        </xsl:call-template>

        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"100"'/> 
					<xsl:with-param name='columnId'>Created</xsl:with-param>
          <xsl:with-param name='caption'>Created</xsl:with-param>         
        </xsl:call-template>
 
        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"100"'/> 
					<xsl:with-param name='columnId'>Modified</xsl:with-param>
          <xsl:with-param name='caption'>Modified</xsl:with-param>         
        </xsl:call-template>

        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"70"'/> 
					<xsl:with-param name='columnId'>Due</xsl:with-param>
          <xsl:with-param name='caption'>Due</xsl:with-param>         
        </xsl:call-template>
       
        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"1000"'/> 
        </xsl:call-template>

        <td width='*'></td>

      </tr>
    </table>

</xsl:template>


<!-- Main folder content -->
<xsl:template name='folderContent'>
  <xsl:param name='rowId'/>

  <xsl:apply-templates select='ChangeRequest'>
    <xsl:with-param name='rowId' select='$rowId' />
	</xsl:apply-templates>
	
	 <xsl:apply-templates select='objectVersion'>
    <xsl:with-param name='rowId' select='$rowId' />
  </xsl:apply-templates>

  <xsl:apply-templates select='Transaction'>
    <xsl:with-param name='rowId' select='$rowId' />  
  </xsl:apply-templates>

</xsl:template>
  

<!-- When CRs are listed within a change request, the first row is a folder containing
     audit trail entries for the change request -->
<xsl:template match='/ServerLink/Rows/HeadFolder/ChangeRequest'>
	<xsl:param name='rowId'/>
	
  <!-- Icon for Folder -->
  <td>
    <img
      src='vcm_record_l.gif'
      title='Audit trail of activity for this change request'
      width='25px'
      height='16px'/>
  </td>

  <!-- caption cell -->
  <td class='treeCell'>
  
   <div nowrap='nowrap'>
    <span tabindex='0'
     id='{$rowId}sub'
     gjsItem='{@changeRequest}'>
      Audit Trail
    </span>
   </div>
  </td>

  <td class='treeCell'>
   <div nowrap='nowrap'>
   </div>   
  </td>

  <td class='treeCell'>
   <div nowrap='nowrap'>
   </div>
  </td>

 <td class='treeCell'>
   <div nowrap='nowrap'>
   </div>
  </td>

 <td class='treeCell'>
   <div nowrap='nowrap'>
   </div>
  </td>

 <td class='treeCell'>
   <div nowrap='nowrap'>
   </div>
  </td>

 <td class='treeCell'>
   <div nowrap='nowrap'>
   </div>
  </td>

 <td class='treeCell'>
   <div nowrap='nowrap'>
   </div>
  </td>

</xsl:template>
  

<!-- When a CR is listed within an audit record, there may be a FootFolder for browsing the transaction -->
<xsl:template match='/ServerLink/Rows/FootFolder/Transaction'>
	<xsl:param name='rowId'/>
	
  <!-- Icon for Folder -->
  <td>
    <img
      src='vcm_record_l.gif'
      title='All audit records for the same transaction'
      width='25px'
      height='16px'/>
  </td>

  <!-- caption cell -->
  <td class='treeCell'>
  
   <div nowrap='nowrap'>
    <span tabindex='0'
     id='{$rowId}sub'
     title='All audit records for the same transaction'
     gjsItem='{@transaction}'>
      Transaction <xsl:value-of select='@transaction'/>
    </span>
   </div>
  </td>

  <td class='treeCell'>
   <div nowrap='nowrap'>
   </div>   
  </td>

  <td class='treeCell'>
   <div nowrap='nowrap'>
   </div>
  </td>

 <td class='treeCell'>
   <div nowrap='nowrap'>
   </div>
  </td>

 <td class='treeCell'>
   <div nowrap='nowrap'>
   </div>
  </td>

 <td class='treeCell'>
   <div nowrap='nowrap'>
   </div>
  </td>

 <td class='treeCell'>
   <div nowrap='nowrap'>
   </div>
  </td>

 <td class='treeCell'>
   <div nowrap='nowrap'>
   </div>
  </td>

</xsl:template>


<xsl:template match='/ServerLink/Rows/Folder/ChangeRequest'>
  <xsl:param name='rowId'/>

	<xsl:variable name='elementMain'>
		fnElement("<xsl:value-of select='$rowId'/>main")
	</xsl:variable>

  <xsl:variable name='info'>
    <xsl:call-template name='info'/>
  </xsl:variable>

  <!-- If this is an update then use the old divReferenceHeadingId otherwise use a new unique one -->
  <xsl:variable name='divReferenceHeadingId'>
    <xsl:choose>
      <xsl:when test='../rowUpdate'>
        <xsl:value-of select='../rowUpdate/@divReferenceHeadingId' />
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select='/ServerLink/@runId' />
        <xsl:text>_mainHead</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <xsl:variable name='changeRequestType'>
    <xsl:value-of select='@changeRequestType' />
  </xsl:variable>

  <!-- Icon for Object -->
  <td class='noHighlight' width='25px'>
    <img
     onmousemove='fnItemMouseMove(ChangeRequest,{$elementMain},event)'
     oncontextmenu='fnContextMenu("popChangeRequest")'
     ondragstart='window.event.returnValue=false'
		 onmousedown='fnItemMouseDown(ChangeRequest,{$elementMain},event)'
		 onmouseup='fnItemMouseUp(ChangeRequest,{$elementMain},event)'
     src='{../@icon}'
     title='{../@iconTitle}'
     width='25px'
     height='16px'>
			<xsl:if test='/ServerLink/allowedMethods/method[@name="ChangeRequest.fnOpen"]'>
				<xsl:attribute name='ondblclick'>ChangeRequest.fnOpen(getAttr(<xsl:value-of select='$elementMain'/>,"gjsItem"))</xsl:attribute>
			</xsl:if>
		</img>
  </td>

  <!-- chref cell -->
  <td class='treeCell'>
   <div nowrap='nowrap'>
    <span
     nowrap='nowrap'
     id='{$rowId}main'
     tabindex='0'
		 onmousedown='fnItemMouseDown(ChangeRequest,this,event)'
		 onmouseup='fnItemMouseUp(ChangeRequest,this,event)'
     onmousemove='fnItemMouseMove(ChangeRequest,this,event);'
     oncontextmenu='fnContextMenu("popChangeRequest");'
     title='{$info}'
     gjsRowId='{$rowId}'
     gjsIconId='{$rowId}icon'
     gjsItemType='CHREF'
		 gjsOnSpace='fnItemSpace(ChangeRequest,event.target,event)'
		 gjsReferenceHeadingId='{$divReferenceHeadingId}'
     gjsItem='{@changeRequest}'
     gjsParentId='{/ServerLink/Rows/@parentId}'
     gjsPtext='{/ServerLink/changeRequestTypes/changeRequestType[@changeRequestType=$changeRequestType]/@caption}'>
			<xsl:if test='/ServerLink/allowedMethods/method[@name="ChangeRequest.fnOpen"]'>
				<xsl:attribute name='ondblclick'>ChangeRequest.fnOpen(getAttr(this,"gjsItem"))</xsl:attribute>
			</xsl:if>
      <xsl:value-of select='@changeRequest'/>
    </span>
  </div>
  </td>

  <!-- type -->
  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:value-of select='@changeRequestType'/>
    </div>
  </td>

  <!-- owner -->
  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:value-of select='@ownerUserId'/>
    </div>
  </td>

  <!-- change request description -->
  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:value-of select='@name'/>
    </div>
  </td>

  <!-- status -->
  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:value-of select='@status'/>
    </div>
  </td>

  <!-- created -->
  <td class='treeCell' gjsSort='{@iCreationDateTime}'>
    <div nowrap='nowrap'>
      <xsl:value-of select='@creationDateTime'/>
    </div>
  </td>

  <!-- modified -->
  <td class='treeCell' gjsSort='{@iLastModifiedDateTime}'>
    <div nowrap='nowrap'>
      <xsl:value-of select='@lastModifiedDateTime'/>
    </div>
  </td>

  <!-- due -->
  <td class='treeCell' gjsSort='{@hPlannedEndDate}'>
    <div nowrap='nowrap'>
      <xsl:value-of select='@plannedEndDate'/>
    </div>
  </td>
</xsl:template>


<!-- Tool tip -->
<xsl:template name='info'>
  <xsl:text>Created: &#9;&#9;</xsl:text>
  <xsl:value-of select='@creationDateTime'/>
  <xsl:text> by </xsl:text>
  <xsl:value-of select='@creationUserId'/> 
  <xsl:text>
Modified: &#9;</xsl:text>
  <xsl:value-of select='@lastModifiedDateTime'/>
  <xsl:text> by </xsl:text>
  <xsl:value-of select='@lastModifiedUserId'/> 
  <xsl:text>
Due date: &#9;</xsl:text>
  <xsl:value-of select='@plannedEndDate'/> 
  <xsl:text>
Status: &#9;&#9;</xsl:text>
  <xsl:value-of select='@status'/>
</xsl:template>


<!-- Sub-folder method -->
<xsl:template name='subFolderMethod'>
  <xsl:choose>
    <xsl:when test='ChangeRequest/@isHeaderFolder'>
      <xsl:text>ChangeRequest.fnListAuditTrail</xsl:text>
    </xsl:when>
    <xsl:when test='Transaction'>
      <xsl:text>AuditTrail.fnTransaction</xsl:text>
    </xsl:when>
    <xsl:otherwise>
      <xsl:text>ChangeRequest.fnListSub</xsl:text>
    </xsl:otherwise>
  </xsl:choose>  
</xsl:template>


<!-- Sub-folder arguments -->
<xsl:template name='subFolderArguments'>
  <xsl:param name='rowId'/>
  
	<xsl:variable name='elementMain'>
		fnElement("<xsl:value-of select='$rowId'/>main")
	</xsl:variable>
	
	<xsl:variable name='elementSub'>
		fnElement("<xsl:value-of select='$rowId'/>sub")
	</xsl:variable>

  <xsl:choose>
    <xsl:when test='ChangeRequest/@isHeaderFolder'>
      <xsl:text>"</xsl:text>
      <xsl:value-of select='$rowId'/>
      <xsl:text>main"+delimiter+getAttr(</xsl:text>
      <xsl:value-of select='$elementSub'/>
      <xsl:text>,"gjsItem")+delimiter+gjsTree.fnMores(gCurrentCell)</xsl:text>
    </xsl:when>
    <xsl:when test='Transaction'>
      <xsl:text>"</xsl:text>
      <xsl:value-of select='$rowId'/>
      <xsl:text>main"+delimiter+getAttr(</xsl:text>
      <xsl:value-of select='$elementSub'/>
      <xsl:text>,"gjsItem")+delimiter+gjsTree.fnMores(gCurrentCell)</xsl:text>
    </xsl:when>
    <xsl:otherwise>
      <xsl:text>"</xsl:text><xsl:value-of select='$rowId'/><xsl:text>main"</xsl:text>
      <xsl:text>+delimiter+"</xsl:text><xsl:value-of select='/ServerLink/location/@location'/><xsl:text>"</xsl:text>
      <xsl:text>+delimiter+getAttr(</xsl:text><xsl:value-of select='$elementMain'/><xsl:text>,"gjsItem")</xsl:text>
      <xsl:text>+delimiter+gjsTree.fnMores(gCurrentCell)</xsl:text>
    </xsl:otherwise>
  </xsl:choose>  

</xsl:template>


<!-- Process mru list -->
<xsl:template match='/ServerLink/mrus'>
  <xsl:call-template name='toolbarSelect'/>
  <xsl:call-template name='toolbarFilters'/>
</xsl:template>


<!-- Selection toolbar -->
<xsl:template name='toolbarSelect'>
  <div id='divToolbarSelect'>
    <table
     cellspacing='1px'
     cellpadding='1px'
     border='0px'>
      <tr>

        <td
         width='186px'>
          <select 
           style='width: 186px;'
           size='1'
           id='lstSelect' 
           name='lstSelect' 
           title='Change Request selection specification. Can include * and ? wildcards. Accepts multiple specs separated by ;' 
           value='{/ServerLink/mrus/@currentSelection}' 
           class='input'>
            <xsl:apply-templates select="/ServerLink/filters/filter" mode='list'/>
            <xsl:apply-templates select="/ServerLink/mrus/mru" mode='list'/>
          </select>
        </td>

        <td>
          <input
           type='submit'
           class='button'
           style='height: 22px; width: 60px; padding-top: 0px;'
           id='cmdOK'
           title='Click to list change requests that match the pattern in the field on the left, filtered according to the state of the buttons on the right'
           value='Refresh'
           onclick="Select.fnSelect($('#lstSelect').scombobox('val'));return false;"/>
        </td>
      </tr>
    </table>
  </div>
</xsl:template>


<!-- Filters toolbar 
Keep logic in sync with code in list^%vc770 to blank out inapplicable options
-->
<xsl:template name='toolbarFilters'>
  <div id='divToolbarFilters'>
    <table
     width='10px'
     cellspacing='1px'
     cellpadding='1px'
     border='0px'>
      <tr>

        <xsl:call-template name='button'>
          <xsl:with-param name='imageId'>btnEmpty</xsl:with-param>
          <xsl:with-param name='imageDown'>vcmChangeRequestWhiteButtonDown.gif</xsl:with-param>
          <xsl:with-param name='imageUp'>vcmChangeRequestWhiteButtonUp.gif</xsl:with-param>
          <xsl:with-param name='currentState' select='@empty'/>
          <xsl:with-param name='title' select='"Show empty change requests"'/>
        </xsl:call-template>

        <xsl:choose>
          <xsl:when test='/ServerLink/location/@location=""'>
            <xsl:call-template name='button'>
              <xsl:with-param name='imageId'>btnCheckedOut</xsl:with-param>
              <xsl:with-param name='imageDown'>vcm_blank.gif</xsl:with-param>
              <xsl:with-param name='imageUp'>vcm_blank.gif</xsl:with-param>
              <xsl:with-param name='currentState' select='""'/>
              <xsl:with-param name='title' select='""'/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test='/ServerLink/location/@isLibrary!="0"'>
            <xsl:call-template name='button'>
              <xsl:with-param name='imageId'>btnCheckedOut</xsl:with-param>
              <xsl:with-param name='imageDown'>vcm_blank.gif</xsl:with-param>
              <xsl:with-param name='imageUp'>vcm_blank.gif</xsl:with-param>
              <xsl:with-param name='currentState' select='""'/>
              <xsl:with-param name='title' select='""'/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name='button'>
              <xsl:with-param name='imageId'>btnCheckedOut</xsl:with-param>
              <xsl:with-param name='imageDown'>vcmChangeRequestGreenButtonDown.gif</xsl:with-param>
              <xsl:with-param name='imageUp'>vcmChangeRequestGreenButtonUp.gif</xsl:with-param>
              <xsl:with-param name='currentState' select='@checkedOut'/>
              <xsl:with-param name='title' select='"Show change requests that have at least one object version checked out to this location"'/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>

        <xsl:choose>
          <xsl:when test='/ServerLink/location/@location=""'>
            <xsl:call-template name='button'>
              <xsl:with-param name='imageId'>btnRegistered</xsl:with-param>
              <xsl:with-param name='imageDown'>vcmChangeRequestAmberButtonDown.gif</xsl:with-param>
              <xsl:with-param name='imageUp'>vcmChangeRequestAmberButtonUp.gif</xsl:with-param>
              <xsl:with-param name='currentState' select='@registered'/>
              <xsl:with-param name='title' select='"Show change requests containing at least one object version"'/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name='button'>
              <xsl:with-param name='imageId'>btnRegistered</xsl:with-param>
              <xsl:with-param name='imageDown'>vcmChangeRequestAmberButtonDown.gif</xsl:with-param>
              <xsl:with-param name='imageUp'>vcmChangeRequestAmberButtonUp.gif</xsl:with-param>
              <xsl:with-param name='currentState' select='@registered'/>
              <xsl:with-param name='title' select='"Show change requests containing at least one object version, or its successor, that is registered in this location"'/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>

        <xsl:choose>
          <xsl:when test='/ServerLink/location/@location=""'>
            <xsl:call-template name='button'>
              <xsl:with-param name='imageId'>btnError</xsl:with-param>
              <xsl:with-param name='imageDown'>vcm_blank.gif</xsl:with-param>
              <xsl:with-param name='imageUp'>vcm_blank.gif</xsl:with-param>
              <xsl:with-param name='currentState' select='""'/>
              <xsl:with-param name='title' select='""'/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name='button'>
              <xsl:with-param name='imageId'>btnError</xsl:with-param>
              <xsl:with-param name='imageDown'>vcmChangeRequestRedButtonDown.gif</xsl:with-param>
              <xsl:with-param name='imageUp'>vcmChangeRequestRedButtonUp.gif</xsl:with-param>
              <xsl:with-param name='currentState' select='@error'/>
              <xsl:with-param name='title' select='"Show change requests containing at least one object version that is in error or missing from this location"'/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>

        <xsl:call-template name='button'>
          <xsl:with-param name='imageId'>btnUnregistered</xsl:with-param>
          <xsl:with-param name='imageDown'>vcm_blank.gif</xsl:with-param>
          <xsl:with-param name='imageUp'>vcm_blank.gif</xsl:with-param>
          <xsl:with-param name='currentState' select='""'/>
          <xsl:with-param name='title' select='""'/>
        </xsl:call-template>

        <xsl:call-template name='button'>
          <xsl:with-param name='imageId'>btnSuperseded</xsl:with-param>
          <xsl:with-param name='imageDown'>vcm_blank.gif</xsl:with-param>
          <xsl:with-param name='imageUp'>vcm_blank.gif</xsl:with-param>
          <xsl:with-param name='currentState' select='""'/>
          <xsl:with-param name='title' select='""'/>
        </xsl:call-template>

        <xsl:choose>
          <xsl:when test='/ServerLink/location/@location=""'>
            <xsl:call-template name='button'>
              <xsl:with-param name='imageId'>btnAllVersions</xsl:with-param>
              <xsl:with-param name='imageDown'>vcm_blank.gif</xsl:with-param>
              <xsl:with-param name='imageUp'>vcm_blank.gif</xsl:with-param>
              <xsl:with-param name='currentState' select='""'/>
              <xsl:with-param name='title' select='""'/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name='button'>
              <xsl:with-param name='imageId'>btnAllVersions</xsl:with-param>
              <xsl:with-param name='imageDown'>vcmObjectAllVersionsButtonDown.gif</xsl:with-param>
              <xsl:with-param name='imageUp'>vcmObjectAllVersionsButtonUp.gif</xsl:with-param>
              <xsl:with-param name='currentState' select='@allVersions'/>
              <xsl:with-param name='title' select='"Show change requests containing only superseded objects, not just those with at least one object active here"'/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>

      </tr>
    </table>
  </div>
</xsl:template>


<xsl:template match='/ServerLink/mrus/mru' mode='list'>
  <option value='{@selection}'>
    <xsl:if test="/ServerLink/mrus/@currentSelection=@selection">
      <xsl:attribute name='selected'>selected</xsl:attribute>
    </xsl:if>
    <xsl:value-of select="@selection" />
  </option>
</xsl:template>


<xsl:template match='/ServerLink/filters/filter' mode='list'>
  <option value='{@selection}'>
    <xsl:if test="/ServerLink/mrus/@currentSelection=@selection">
      <xsl:attribute name='selected'>selected</xsl:attribute>
    </xsl:if>
    <xsl:value-of select="@caption" />
  </option>
</xsl:template>


<xsl:template name='button'>
  <xsl:param name='imageId'/>
  <xsl:param name='imageDown'/>
  <xsl:param name='imageUp'/>
  <xsl:param name='currentState'/>
  <xsl:param name='title'/>
  
  <td
    align='left'
    title='{$title}'
    style='padding-top: 3px;'
    width='1px'>
    <!-- Hide blank buttons -->
    <xsl:if test='($imageUp="vcm_blank.gif")'>
      <xsl:attribute name='style'>display: none;</xsl:attribute>
    </xsl:if>
    <img
      id='{$imageId}'
      onmouseover='Button.fnMouseOver(this)'
      onmouseout='Button.fnMouseOut(this)'
      onclick='Button.fnClick(this)'
      ondblclick='fnRefresh()'
      gjsImageDown='{$imageDown}'
      gjsImageUp='{$imageUp}'
      tabindex='0'
      height='25px'
      width='25px'>
      <xsl:choose>
        <xsl:when test='$currentState="1"'>
          <xsl:attribute name='src'><xsl:value-of select='$imageDown'/></xsl:attribute>
          <xsl:attribute name='gjsState'>1</xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name='src'><xsl:value-of select='$imageUp'/></xsl:attribute>
          <xsl:attribute name='gjsState'><xsl:value-of select='$currentState'/></xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
    </img>
  </td>
</xsl:template>


<!-- Information messages -->
<xsl:template match='/ServerLink/Information'>
  <div id='divInfo'>
    <p style='color: red'>
      <img src="vcmWarning.gif"/>&nbsp;&nbsp;
      <xsl:value-of select='@message'/>
    </p>
  </div>
</xsl:template>


<!-- Swallow the mrus -->
<xsl:template match='/ServerLink/mrus/mru' />


<!-- Swallow the filters -->
<xsl:template match='/ServerLink/filters/filter' />


</xsl:stylesheet>
