<?xml version='1.0' standalone='no'?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp '&#160;'> ]>
<xsl:stylesheet 
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:gjs="http://www.georgejames.com">

<!-- Change Request Selection Form
     =============================
     Size: h: 430px w: 580px
-->

<xsl:output
    method="html"
    doctype-public="XSLT-compat"
    omit-xml-declaration="yes"
    encoding="UTF-8"
    indent="yes" />

<xsl:include href='gjsControls.xsl' />
<xsl:include href='ChangeRequestSelectData.xsl' />

<xsl:template match="ChangeRequestSelect">
  <html>
    <head>
      <title>Deltanji Change Requests</title>
      <link rel='StyleSheet' href='gjsForm.css' type='text/css' />
		
      <!-- Load jQuery -->
      <script src='jquery.min.js'></script>
      <script src='jQuerySugar.js'></script>
  
      <!--  Load the Simple Combobox plugin -->
  	  <script src='jquery.easing.min.js'></script>
  	  <script src='jquery.scombobox.min.js'></script>
      <link rel='stylesheet' href='jquery.scombobox.min.css' type='text/css' />

      <script src='GjsTableSorter.js'></script>
      <script src='gjsForm.js'></script>
      <script src='gjsBase.js'></script>
      <script src='ChangeRequestSelect.js'></script>
      <xsl:call-template name='customJavaScript' />
    </head>
    <body style='background:buttonface;'>
      <div id='divMain'>
        <form 
         name='frmMain'
         id='oFormAutoSizer'>
          <table
           class='formLayoutTable'
           border='0'>
            <tr>
              <gjs:column width='20'/>
              <gjs:column width='550'/>
              <gjs:column width='60'/>
              <gjs:column width='10'/>
            </tr>
            <tr>
              <td height='10'></td>
            </tr>
            <tr>
              <td></td>
              <td colspan='2'>
                <xsl:call-template name='divSelectHeading' />
              </td>
              <td> </td>
            </tr>
            <tr>
              <td> </td>
              <td colspan='2'>
                <xsl:apply-templates select='ChangeRequests' />
              </td>
              <td> </td>
            </tr>
            <tr>
              <td colspan='2' valign='bottom'>
                <xsl:call-template name='divSelectForm' />
              
                <!-- Include custom fields in their own table, instead of (or as well as) the customFields call within divSelectForm  -->
                <xsl:call-template name='customFieldTable' />
              </td>
              <td valign='bottom'>
                <xsl:call-template name='divSelectButtons' />
              </td>
              <td> </td>
            </tr>
          </table>
        </form>
      </div>
 
      <xsl:apply-templates select='changeRequestTypes/changeRequestType' mode='StatusComboBoxes'/>

      <script>
      // Attach what we need run once the document is ready.
      // We deliberately do this at the end of the document so other callbacks for initializing scombobox controls get attached earlier.
$(function() {
    fnOnLoad();
    $("#txtChangeRequestType").scombobox("val","<xsl:value-of select='@defaultChangeRequestType'/>");
    fnChangeType();
    $("#txtChangeRequestStatus").scombobox("val","<xsl:value-of select='@defaultChangeRequestStatus'/>");
    fnTriggerSort("<xsl:value-of select='@sortColumn'/>","<xsl:value-of select='@sortAscending'/>");
    frmMain.txtChangeRequest.focus();
    frmMain.txtChangeRequest.select();
});
      </script>
 
   </body>
  </html>
</xsl:template>

<xsl:template match='ChangeRequests'>
  <xsl:call-template name='divSelectTable' />
</xsl:template>

<xsl:template name='divSelectForm'>
  <div id='divSelectForm'>
    <table
     class='formLayoutTable'
     style='margin: 20px 0px 0px 20px'
     border='0'>
      <tr>
        <gjs:column width='90'/>
        <gjs:column width='220'/>
        <gjs:column width='40'/>
      </tr>

      <tr>
      <gjs:input
       row='0'
       id='txtChangeRequest'
       accesskey='R'
       size='30'
       maxlength='30'
       value='{@defaultChangeRequest}'
       onchange='fnChangeSelection()'
       onfocus='fnSelectRow(null)'
       title='Enter a change request number, or a pattern using * or ? wildcards'
       readonly='0'>
        <label>Change <u>r</u>equest</label>
      </gjs:input>
      <td></td>
      </tr>

      <tr>
      <gjs:input
       row='0'
       id='txtOwnerUserId'
       accesskey='U'
       size='30'
       maxlength='100'
       value='{@defaultUserId}'
       onchange='fnChangeSelection()'
       onfocus='fnSelectRow(null)'
       title='Enter a user Id to search for change requests owned by that user. Wildcards * or ? can be used.'
       readonly='0'>
        <label>Owner <u>u</u>ser ID</label>
      </gjs:input>
      <td>
        <gjs:trigger
         id='cmdMe'
         style='width: 60px;'
         onclick='frmMain.txtOwnerUserId.value = "{@userId}"; frmMain.txtOwnerUserId.focus(); frmMain.txtOwnerUserId.select();'
         accesskey='M'>
          <label>
            <u>M</u>y ID
          </label>
          <hint>Set field to my user ID</hint>
        </gjs:trigger>
      </td>
      </tr>

      <tr>
      <gjs:select1
       row='0'
       id='txtChangeRequestType'
       accesskey='T'
       caption='Type'
       width='209'
       onchange='fnChangeType()'
       onfocus='fnSelectRow(null)'
       value=''
       title='Select a change request type from the list, or type a search string. Wildcards * or ? can be used.'
       readonly='0'>
        <label><u>T</u>ype</label>
        <xsl:apply-templates select="changeRequestTypes"/>
      </gjs:select1>
      <td title=''></td>
      </tr>

      <xsl:variable name="changeRequestType" select="@defaultChangeRequestType"/>
      <tr>
      <gjs:select1
       row='0'
       id='txtChangeRequestStatus'
       accesskey='A'
       caption='Status'
       width='209'
       onchange='fnChangeSelection()'
       onfocus='fnSelectRow(null)'
       value=''
       title='Select a change request status from the list, or type a search string. Wildcards * or ? can be used.'
       readonly='0'>
        <label>St<u>a</u>tus</label>
        <xsl:apply-templates select='/ChangeRequestSelect/changeRequestTypes/changeRequestType[@changeRequestType=$changeRequestType]/changeRequestStatii/changeRequestStatus' mode='currentStatus'>
          <xsl:sort select='@statusSequence'/>
        </xsl:apply-templates>
      </gjs:select1>
      <td title=''></td>
      </tr>

      <tr>
      <gjs:input
       row='0'
       id='txtSearchText'
       accesskey='E'
       size='30'
       maxlength='100'
       value='{@defaultSearchText}'
       onchange='fnChangeSelection()'
       onfocus='fnSelectRow(null)'
       title='Enter text to seek in Description, Details or Comments fields. Search is not case-sensitive. No wildcards supported.'
       readonly='0'>
        <label>T<u>e</u>xt</label>
      </gjs:input>
      <td></td>
      </tr>

      <!-- Include custom fields, each as a row with 3 cells. For more layout control, use customFieldTable template (see earlier)  -->
      <xsl:call-template name='customFields' />

    </table>
  </div>
</xsl:template>



<xsl:template name='divSelectButtons'>
  <div id='divSelectButtons'>
    <table
     class='formLayoutTable'
     border='0'>

      <tr>
        <gjs:column width='60'/>
      </tr>

      <tr>
        <td align='right'>
          <input
           type='submit'
           id='cmdOpen'
           class='button'
           onclick='fnOpen("{@openAction}"); return false;'
           style='width: 60px;'
           value='Search'
           accesskey='S'
          >
          </input>
        </td>
      </tr>

      <tr>
        <td align='right'>
          <gjs:trigger
           id='cmdClear'
           onclick='fnClear();'
           style='width: 60px;'
           accesskey='L'>
            <label>
              C<u>l</u>ear
            </label>
            <hint>Clear the search fields</hint>
          </gjs:trigger>
        </td>
      </tr>

      <tr>
        <td align='right'>
          <gjs:trigger
           id='cmdNew'
           onclick='fnNew("{@newAction}");'
           style='width: 60px;'
           accesskey='N'>
            <label>
              <u>N</u>ew
            </label>
            <hint>Create a new item</hint>
          </gjs:trigger>
        </td>
      </tr>

      <tr>
        <td align='right'>
          <gjs:trigger
           id='cmdCancel'
           onclick='fnClose();'
           style='width: 60px;'
           accesskey='C'>
            <label>
              <u>C</u>lose
            </label>
            <hint>Close this dialog</hint>
          </gjs:trigger>
        </td>
      </tr>

      <tr>
        <td align='right'>
          <gjs:trigger
           id='cmdHelp'
           onclick='fnHelp();'
           style='width: 60px;'
           accesskey='H'>
            <label>
              <u>H</u>elp
            </label>
            <hint>Invoke help window</hint>
          </gjs:trigger>
        </td>
      </tr>

    </table>
  </div>
</xsl:template>

<xsl:template match='changeRequestTypes'>
  <item>
    <label>*</label>
    <value>*</value>
  </item>
  <xsl:apply-templates select="changeRequestType" />
</xsl:template>

<xsl:template match='changeRequestType'>
<item>
  <label><xsl:value-of select="@changeRequestType" /></label>
  <value><xsl:value-of select="@changeRequestType" /></value>
</item>
</xsl:template>

<!-- Populate status list box with change request statii for current change request type -->
<xsl:template match='changeRequestStatus' mode="currentStatus">
<item>
  <label><xsl:value-of select="@status" /></label>
  <value><xsl:value-of select="@status" /></value>
</item>
</xsl:template>

<xsl:template match='changeRequestTypes/changeRequestType' mode='StatusComboBoxes'>
  <select id='txtChangeRequestStatusFor{@changeRequestType}' style='visibility: hidden;'>
    <!-- Blank status is the default -->
    <option value='*'>*</option>
    <xsl:apply-templates select='changeRequestStatii/changeRequestStatus'>
      <xsl:sort select='@statusSequence'/>
    </xsl:apply-templates>
  </select>
</xsl:template>

<xsl:template match='changeRequestStatus'>
  <option value='{@status}'><xsl:value-of select='@status'/></option>
</xsl:template>

<xsl:template name='customJavaScript' />
<xsl:template name='customFields' />
<xsl:template name='customFieldTable' />

</xsl:stylesheet>
