<?xml version='1.0' standalone='no'?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp '&#160;'> ]>
<xsl:stylesheet 
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:gjs="http://www.georgejames.com">

<!-- Change Request Type List
     =========
-->

<xsl:import href='gjsTree.xsl' />
<xsl:include href='ServerLink.xsl' />


<xsl:template match="/ServerLink/Rows">
  <div id='divFolderHeadingCaption'>
    Change Request Types
  </div>
  <div id='divMainHead'>
    <xsl:call-template name='divMainHead' />
  </div>
  <xsl:call-template name='gjs:tree' />
</xsl:template>


<xsl:template name='divMainHead'>

  	<table class='layoutTable' gjsTreeId='ChangeRequestType_List'>
  	  <tr>

        <xsl:call-template name='gjs:treeMoresMainHeading' />

        <td width='25' style='min-width:25px; max-width:25px; width:25px'></td>

        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"150"'/> 
          <xsl:with-param name='columnId'>ChangeRequestType</xsl:with-param>
          <xsl:with-param name='caption'>Type</xsl:with-param>         
          <xsl:with-param name='selected'>ascending</xsl:with-param>
          <xsl:with-param name='previousColumnResizable'>0</xsl:with-param>
        </xsl:call-template>
  	    
        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"200"'/> 
          <xsl:with-param name='columnId'>Description</xsl:with-param>
          <xsl:with-param name='caption'>Description</xsl:with-param>         
        </xsl:call-template>
  	    
        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"100"'/> 
          <xsl:with-param name='columnId'>Caption</xsl:with-param>
          <xsl:with-param name='caption'>Caption</xsl:with-param>         
        </xsl:call-template>
  	    
        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"100"'/> 
          <xsl:with-param name='columnId'>LastUsed</xsl:with-param>
          <xsl:with-param name='caption'>Last Used</xsl:with-param>         
          <xsl:with-param name='title'>When auto-allocated, the last CR created</xsl:with-param>         
        </xsl:call-template>
  	    
        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"110"'/> 
          <xsl:with-param name='columnId'>MemberTypes</xsl:with-param>
          <xsl:with-param name='caption'>Member Types</xsl:with-param>         
        </xsl:call-template>
  	    
        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"100"'/> 
          <xsl:with-param name='columnId'>ChangeRequestEvent</xsl:with-param>
          <xsl:with-param name='caption'>CR Events</xsl:with-param>         
          <xsl:with-param name='title'>Message category for events related to change requests of this type</xsl:with-param>         
        </xsl:call-template>
  	    
        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"100"'/> 
          <xsl:with-param name='columnId'>ObjectEvent</xsl:with-param>
          <xsl:with-param name='caption'>Object Events</xsl:with-param>         
          <xsl:with-param name='title'>Message category for object additions and removals on CRs of this type</xsl:with-param>         
        </xsl:call-template>
  	    
        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"100"'/> 
          <xsl:with-param name='columnId'>TransferEvent</xsl:with-param>
          <xsl:with-param name='caption'>Transfer Events</xsl:with-param>         
          <xsl:with-param name='title'>Message category for by-CR transfers of CRs of this type</xsl:with-param>         
        </xsl:call-template>
  	    
        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"100"'/> 
          <xsl:with-param name='columnId'>Withdrawn</xsl:with-param>
          <xsl:with-param name='caption'>Withdrawn?</xsl:with-param>         
          <xsl:with-param name='title'>When withdrawn, no further change requests of this type can be created</xsl:with-param>         
        </xsl:call-template>
      </tr>
    </table>

</xsl:template>



<xsl:template name='leafContent'>

  <!-- Icon for record -->
  <td class='noHighlight' width='25' style='min-width:25px; max-width:25px; width:25px'>
    <img
     src='vcm_record_l.gif'
     width='25'
     height='16'>
    </img>
  </td>

  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:value-of select='changeRequestType/@changeRequestType' />
    </div>
  </td>

  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:value-of select='changeRequestType/@description'/>
    </div>
  </td>

  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:value-of select='changeRequestType/@caption'/>
    </div>
  </td>

  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:value-of select='changeRequestType/@prefix'/><xsl:value-of select='changeRequestType/@lastUsedSuffix'/>
    </div>
  </td>

  <td class='treeCell'>
    <div nowrap='nowrap'>

      <xsl:choose>
        <xsl:when test='changeRequestType/@allowedMemberTypes="1"'>
          Objects
        </xsl:when>
        <xsl:when test='changeRequestType/@allowedMemberTypes="2"'>
          Change Requests
        </xsl:when>
        <xsl:when test='changeRequestType/@allowedMemberTypes="3"'>
          Objects and CRs
        </xsl:when>
        <xsl:otherwise>
          ?
        </xsl:otherwise>
      </xsl:choose>
    </div>
  </td>

  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:value-of select='changeRequestType/@changeRequestEventCategoryName'/>
    </div>
  </td>

  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:value-of select='changeRequestType/@objectEventCategoryName'/>
    </div>
  </td>

  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:value-of select='changeRequestType/@transferEventCategoryName'/>
    </div>
  </td>

  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:choose>
        <xsl:when test='changeRequestType/@withdrawn="1"'>
          Yes
        </xsl:when>
        <xsl:otherwise>
          No
        </xsl:otherwise>
      </xsl:choose>
    </div>
  </td>
 
  <!-- empty cell to cater for extra column that gives the last real column a right-hand resize handle -->
  <td class='treeCell'>
    <div nowrap='nowrap'>
    </div>
  </td>
 </xsl:template>


<!-- Attributes for each leaf row -->
<xsl:template name='leafRowAttributes'>
	<xsl:param name='rowId'/>
  <xsl:attribute name='tabindex'>0</xsl:attribute>
  <xsl:attribute name='onfocus'>fnItemSelect(this);Class.fnSelect(ChangeRequestType,this)</xsl:attribute>
  <xsl:attribute name='onclick'>fnItemSelect(this);Class.fnSelect(ChangeRequestType,this)</xsl:attribute>
  <xsl:attribute name='oncontextmenu'>fnItemSelect(this);Class.fnSelect(ChangeRequestType,this);fnContextMenu("popItem")</xsl:attribute>
  <xsl:attribute name='gjsItem'><xsl:value-of select='changeRequestType/@changeRequestType' /></xsl:attribute>
  <xsl:attribute name='id'><xsl:value-of select='$rowId' />main</xsl:attribute>
	<xsl:if test='/ServerLink/allowedMethods/method[@name="ChangeRequestType.fnOpen"]'>
		<xsl:attribute name='ondblclick'>ChangeRequestType.Item.fnOpen()</xsl:attribute>
	</xsl:if>
</xsl:template>


</xsl:stylesheet>
