<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- This stylesheet transforms an xml formatted document into its corresponding global node representation -->
<!-- Transfer Routes -->

<xsl:strip-space elements="route"/>


<!-- Transfer functions -->
<xsl:template match="transferFunction">
^%vctr("<xsl:value-of select='@transferFunction'/>")
1\<xsl:value-of select='@caption'/>
</xsl:template>


<!-- Global node and data -->
<xsl:template match="route">
^%vctr("<xsl:value-of select='@function'/>","<xsl:value-of select='@from'/>","<xsl:value-of select='@to'/>")
<xsl:value-of select='@accessCodes'/>\<xsl:value-of select='@dependentLocations'/>\<xsl:value-of select='@newActiveLocations'/>\<xsl:value-of select='@masterLocation'/>\<xsl:call-template name='auditTrailLevel'/>\<xsl:call-template name='transferType'/>\<xsl:call-template name='copyOnlyIfChanged'/>\<xsl:value-of select='@comment'/>\<xsl:value-of select='@message'/>\<xsl:call-template name='newVersion'/>\<xsl:call-template name='statusDateHideShowPrompt'/>\<xsl:value-of select='@statusDateCaption'/>\<xsl:value-of select='@revision'/>
</xsl:template>

<xsl:template name="transferType">
  <xsl:variable name="value" select="./@transferType" />
  <xsl:choose>
    <xsl:when test="$value='Copy'">0</xsl:when>
    <xsl:when test="$value='Move'">1</xsl:when>
    <xsl:otherwise>0</xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="newVersion">
  <xsl:variable name="value" select="./@newVersion" />
  <xsl:choose>
    <xsl:when test="$value='Yes'">1</xsl:when>
    <xsl:when test="$value='No'">0</xsl:when>
    <xsl:otherwise>0</xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="auditTrailLevel">
  <xsl:variable name="value" select="./@auditTrailLevel" />
  <xsl:choose>
    <xsl:when test="$value!=''"><xsl:value-of select='$value'/></xsl:when>
    <xsl:otherwise>0</xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="copyOnlyIfChanged">
  <xsl:variable name="value" select="./@copyOnlyIfChanged" />
  <xsl:choose>
    <xsl:when test="$value='Yes'">1</xsl:when>
    <xsl:when test="$value='No'">0</xsl:when>
    <xsl:otherwise>0</xsl:otherwise>
  </xsl:choose>
</xsl:template>


<xsl:template name="statusDateHideShowPrompt">
  <xsl:variable name="value" select="./@statusDateHideShowPrompt" />
  <xsl:choose>
    <xsl:when test="$value='Hide'">H</xsl:when>
    <xsl:when test="$value='Show'">S</xsl:when>
    <xsl:when test="$value='Prompt'">P</xsl:when>
    <xsl:otherwise>H</xsl:otherwise>
  </xsl:choose>
</xsl:template>




</xsl:stylesheet>
