//vc/ GJS Table Sorter
//vc/ Copyright 2003 George James
//vc/ Object:    gjsTableSorter.js
//vc/ Component: T.gjsTableSorter.js


// Standard Table Sorter


// Define class
GjsTableSorter = {}

// Global variables are used to hold the sort arguments because they cannot be passed directly to the
// fnCompare method.
//var GjsTableSorter.g_iColumn;
//var GjsTableSorter.g_bDirection;
//var GjsTableSorter.g_oCurrentSortButton;


	// Sort a table or <tbody> section of a table
	// Usage:
	//   onclick='GjsTableSorter.fnSort(oSortButton,oTableBody,iColumn)'
	// Inputs:
	//   oSortButton - The object (normally a table cell) that is clicked on to sort a column
	//   oTableBody - A reference to a table body or table object
	//   iColumn         - The column number within the table, counting from zero
	//   bDirection  - True for an ascending sort, false for a descending sort
	// Outputs:
	//   None
	//
GjsTableSorter.fnSort = function(oSortButton,oTableBody,iColumn) {
	//
	var arrRows = new Array();
	var rows;
	//
	// Make a note of the sort solumn for use by the fnCompare function
	GjsTableSorter.g_iColumn=iColumn;
	//
	// Set the sort direction to descending.  If the same column was clicked twice in
	// a row then set the sort direction to ascending.
	GjsTableSorter.g_bDirection=true;
	if (GjsTableSorter.g_oCurrentSortButton==oSortButton) {
		if (getAttr(oSortButton,"gjsSortDirection")=="true") {GjsTableSorter.g_bDirection=false;}
		else {GjsTableSorter.g_bDirection=true;}
	}
	//
	// Reset the sort icon for the previous sort column, if any
	if (GjsTableSorter.g_oCurrentSortButton) {
		GjsTableSorter.fnSetIcon(GjsTableSorter.g_oCurrentSortButton,"gjsSortNormal.gif");
	}
	//
	// Set the sort icon for the selected column 
	if (GjsTableSorter.g_bDirection) GjsTableSorter.fnSetIcon(oSortButton,"gjsSortAscending.gif");
	else GjsTableSorter.fnSetIcon(oSortButton,"gjsSortDescending.gif");
	//
	// Record the sort direction of the current selection
  // NB setAttr() will store a string value
	GjsTableSorter.g_oCurrentSortButton=oSortButton;
	setAttr(oSortButton,"gjsSortDirection",GjsTableSorter.g_bDirection);
	//
	// Move the contents of table's rows to a javascript array
	rows=oTableBody.rows.length;
	for (i=0; i<rows; i++) arrRows[i]=oTableBody.removeChild(oTableBody.rows[0]);
	//
	// Sort the rows using the built-in javascript sort method
	arrRows.sort(GjsTableSorter.fnCompare);
	//
	// Move the contents of the sorted array back into the table
	for (i=0; i<rows; i++) oTableBody.appendChild(arrRows[i]);
}


	// Compare two row objects
	// If any cell has a gjsSort property then use that to sort on, otherwise use the
	// cell's innerHTML.
	//
GjsTableSorter.fnCompare = function(oRow1,oRow2) {
	//
	var string1,string2;
	var iColumn=GjsTableSorter.g_iColumn;
	var bDirection=GjsTableSorter.g_bDirection;
	//
	if (getAttr(oRow1.children[iColumn],"gjsSort")) string1=getAttr(oRow1.children[iColumn],"gjsSort");
	else string1=$(oRow1.children[iColumn]).html();
	//
	if (getAttr(oRow2.children[iColumn],"gjsSort")) string2=getAttr(oRow2.children[iColumn],"gjsSort");
	else string2=$(oRow2.children[iColumn]).html();
	//
	// Compare the two strings
	// todo: if the strings are numbers then perform numeric comparison
	if (bDirection) {
		if (string1>string2) return 1;
		if (string1==string2) return 0;
		if (string1<string2) return -1;
	}
	else {
		if (string1>string2) return -1;
		if (string1==string2) return 0;
		if (string1<string2) return 1;
	}
}


GjsTableSorter.fnSetIcon = function(oSortButton,sIcon) {
	//
	// Loop through the child nodes of the sortButton object.  If any node is an element of class sortIcon
	// set its src attribute to the appropriate image.
	for (var i=0; i<oSortButton.childNodes.length;i++) {
		if ($(oSortButton.childNodes[i]).hasClass('sortIcon')) setAttr(oSortButton.childNodes[i],"src",sIcon);
	}
}
