<?xml version='1.0' standalone='no'?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp '&#160;'> ]>
<xsl:stylesheet
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:gjs="http://www.georgejames.com">

<xsl:include href='gjsForm.xsl'/>

<xsl:template match="Form">
  <xsl:apply-templates select="JavaScript"/>
</xsl:template>

<xsl:template match="JavaScript">

<gjs:form
 title='JavaScript File'
 jsFile='vc230.js'
 onload='frmMain.jsFile.focus();'
 save='{/Form/@save}'
 close='{/Form/@close}'
 delete='{/Form/@delete}'
 print='{/Form/@print}'
 help='{/Form/@help}'
 ok='{/Form/@ok}'
 cancel='{/Form/@cancel}'>

  <gjs:information>
    JavaScript files defined here are loaded into the main window of the web-browser client at startup.&nbsp;  
    They can be used to support user-defined extensions to the user interface.&nbsp; 
    User-defined JavaScript files should start with vcy and should be placed in the application's program files directory.&nbsp; 
    For example, vcyHelpDesk.js might contain functions that are called from custom entries in the main application menu.
  </gjs:information>

  <gjs:frame>
  <!-- Set up frame column widths -->
  <gjs:columnWidths>
    <gjs:column width='100'/>
    <gjs:column width='360'/>
  </gjs:columnWidths>

  <gjs:fields>

    <gjs:input
     id='jsFile'
     accesskey='J'
     size='50'
     maxlength='60'
     value='{@javaScriptFile}'
     onchange='Form.fnChanged()'
     readonly='0'>
     <label><u>J</u>avaScript file</label>
     <hint>Enter the name of the JavaScript file that you want to use within the application</hint>
    </gjs:input>

    <gjs:input
     id='description'
     accesskey='E'
     caption='Description'
     size='50'
     maxlength='60'
     value='{@description}'
     onchange='Form.fnChanged()'
     readonly='0'>
     <label>D<u>e</u>scription</label>
     <hint>Enter a description of the purpose of this file</hint>
    </gjs:input>


  </gjs:fields>

  <gjs:inputHidden id='revision' value='{@revision}'/>
  <gjs:inputHidden id='oldJsFile' value='{@javaScriptFile}'/>

  </gjs:frame>
  
</gjs:form>
</xsl:template>

</xsl:stylesheet>
