<?xml version='1.0' standalone='no'?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp '&#160;'> ]>
<xsl:stylesheet 
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:gjs="http://www.georgejames.com">

<!-- Physical Address List
     =============
-->

<xsl:import href='gjsTree.xsl' />
<xsl:include href='ServerLink.xsl' />


<xsl:template match="/ServerLink/Rows">
  <div id='divFolderHeadingCaption'>
    Physical Addresses
  </div>
  <div id='divMainHead'>
    <xsl:call-template name='divMainHead' />
  </div>
  <xsl:call-template name='gjs:tree' />
</xsl:template>


<xsl:template name='divMainHead'>

  	<table class='layoutTable' width='1000px' gjsTreeId='PhysicalLocation_List'>
  	  <tr>

        <xsl:call-template name='gjs:treeMoresMainHeading' />

        <td width='25'></td>

        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"400"'/>
          <xsl:with-param name='columnId'>PhysicalAddress</xsl:with-param>
          <xsl:with-param name='caption'>Physical Address</xsl:with-param>
          <xsl:with-param name='selected'>ascending</xsl:with-param>
					<xsl:with-param name='previousColumnResizable'>0</xsl:with-param>
        </xsl:call-template>
  	    
        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"100"'/> 
          <xsl:with-param name='columnId'>Formats</xsl:with-param> 
          <xsl:with-param name='caption'>Formats</xsl:with-param>
        </xsl:call-template>
         
        <xsl:call-template name='gjs:treeColumnHeading'>
          <xsl:with-param name='width' select='"1000"'/> 
        </xsl:call-template>
 	    
        <td width='*'></td>
      </tr>
    </table>

</xsl:template>

<xsl:template name='leafContent'>

  <!-- Icon for record -->
  <td class='noHighlight' width='25px'>
    <img
     width='25px'
     height='16px'>
    <xsl:choose>
      <xsl:when test='physicalAddress/@isTemplate="1"'>
        <xsl:attribute name='src'>vcm_template_l.gif</xsl:attribute>
      </xsl:when>
      <xsl:when test='physicalAddress/@allGenerated="1"'>
        <xsl:attribute name='src'>vcm_derived_l.gif</xsl:attribute>
      </xsl:when>
      <xsl:otherwise>
        <xsl:attribute name='src'>vcm_record_l.gif</xsl:attribute>
      </xsl:otherwise>
    </xsl:choose>
    </img>
  </td>

  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:value-of select='physicalAddress/@physicalAddress' />
    </div>
  </td>

  <td class='treeCell'>
    <div nowrap='nowrap'>
      <xsl:value-of select='physicalAddress/@formats' />
    </div>
  </td>

  <!-- empty cell to cater for extra column that gives the last real column a right-hand resize handle -->
  <td class='treeCell'>
    <div nowrap='nowrap'>
    </div>
  </td>
</xsl:template>


<!-- Attributes for each leaf row -->
<xsl:template name='leafRowAttributes'>
	<xsl:param name='rowId'/>

  <!-- If this is an update then use the old divReferenceHeadingId otherwise use a new unique one -->
  <xsl:variable name='divReferenceHeadingId'>
    <xsl:choose>
      <xsl:when test='rowUpdate'>
        <xsl:value-of select='rowUpdate/@divReferenceHeadingId' />
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select='/ServerLink/@runId' />
        <xsl:text>_mainHead</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <xsl:attribute name='tabindex'>0</xsl:attribute>
  <xsl:attribute name='onfocus'>fnItemSelect(this);Class.fnSelect(PhysicalLocation,this)</xsl:attribute>
  <xsl:attribute name='onclick'>fnItemSelect(this);Class.fnSelect(PhysicalLocation,this)</xsl:attribute>
  <xsl:attribute name='oncontextmenu'>fnItemSelect(this);Class.fnSelect(PhysicalLocation,this);fnContextMenu("popItem")</xsl:attribute>
  <xsl:attribute name='gjsItem'><xsl:value-of select='physicalAddress/@physicalAddress' /></xsl:attribute>
  <xsl:attribute name='gjsReferenceHeadingId'><xsl:value-of select='$divReferenceHeadingId' /></xsl:attribute>
  <xsl:attribute name='id'><xsl:value-of select='$rowId' />main</xsl:attribute>
	<xsl:if test='/ServerLink/allowedMethods/method[@name="PhysicalLocation.fnOpen"]'>
		<xsl:attribute name='ondblclick'>PhysicalLocation.Item.fnOpen()</xsl:attribute>
	</xsl:if>
	<xsl:if test='physicalAddress/@allGenerated=1'>
	  <xsl:attribute name='class'>disabledRow</xsl:attribute>
	</xsl:if>
	<xsl:if test='physicalAddress/@unreferenced="1"'>
		<xsl:attribute name='style'>text-decoration: line-through;</xsl:attribute>
		<xsl:attribute name='title'>Not used by any location</xsl:attribute>
	</xsl:if>
</xsl:template>

</xsl:stylesheet>
