<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp '&#160;'> ]>
<xsl:stylesheet 
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:msxsl="urn:schemas-microsoft-com:xslt"
 xmlns:gjs="http://www.georgejames.com">


<!--
	<gjs:Selector

	</gjs:Selector>
-->
<xsl:template match='selectors'>
	<xsl:param name='chkAll' select='1' />
	<xsl:param name='labelIndent' select='20' />
	<xsl:param name='labelWidth' select='190' />
	<xsl:call-template name='gjs:selector'>
		<xsl:with-param name='chkAll' select='$chkAll' />
		<xsl:with-param name='labelIndent' select='$labelIndent' />
		<xsl:with-param name='labelWidth' select='$labelWidth' />
	</xsl:call-template>
</xsl:template>


<xsl:template name='gjs:selector'>
  <xsl:param name='chkAll' select='1'/>
  <xsl:param name='labelIndent' select='20'/>
  <xsl:param name='labelWidth' select='190'/>
  <xsl:param name='location' />
  <xsl:param name='inputSystem' />

<script type='text/javascript' src='Selector.js'>
</script>

<table class='formLayoutTable'>
	<tr>
		<gjs:column width='{$labelIndent}' />
		<gjs:column width='{$labelWidth}' />
		<gjs:column width='47'/>
	</tr>
	<tr>
		<td></td>
		<td><label><u>A</u>ll objects</label></td>
		<td>
				<input
				 type='radio'
				 id='allitems'
				 name='allitems'
				 value='1'
				 accesskey='A'
				 onclick='fnOnClick(this.value)'>
					<xsl:if test='$chkAll=1'>
						<xsl:attribute name="checked">checked</xsl:attribute>
					</xsl:if>
				</input>
		</td>
	</tr>

	<tr>
		<td></td>
		<td><label><u>S</u>elected objects</label></td>
		<td>
				<input
				 type='radio'
				 id='allitems'
				 name='allitems'
				 value='0'
				 accesskey='S'
				 onclick='fnOnClick(this.value)'>
					<xsl:if test='$chkAll!=1'>
						<xsl:attribute name="checked">checked</xsl:attribute>
					</xsl:if>
				</input>
		</td>
	</tr>

	<tr>
		<td colspan='3' height='15'></td>
	</tr>
</table>

<table class='formLayoutTable'>
	<tr>
		<td>
			<div class='gridTableOuter' style='width: 565px;'>
				<div class='gridTableInner' style='height: 100px;'>
					<table class='formLayoutTable' cellSpacing='3'>
						<tr>
							<gjs:column width='5'/>
							<gjs:column width='205'/>
							<gjs:column width='45'/>
							<gjs:column width='205'/>
							<gjs:column width='80'/>
						</tr>
						<tr valign='top'>
							<td></td>
							<gjs:caption for='newselector' accesskey='N'>
								<label><u>N</u>ew selector</label>
							</gjs:caption>
							<td></td>
							<gjs:caption for='oldselectors' accesskey='U'>
								<label>C<u>u</u>rrent selectors</label>
							</gjs:caption>
							<td></td>
						</tr>
						<tr>
							<td></td>
							<td valign='top'>
								<input
								 type='text'
								 id='newselector'
								 title="Object selector text.  Can include * and ? wildcards.  Prefix with ' or - to specify an exclusion."
								 size='60'
								 style='width: 205px;'
								 name='newselector'
								 maxlength='210'
								 onkeypress='if (event.keyCode!=13) return; frmMain.addSelector.click(); event.preventDefault()'
								 >
									<xsl:if test='$chkAll=1'>
										<xsl:attribute name="class">inputDisabled</xsl:attribute>
										<xsl:attribute name="disabled">true</xsl:attribute>
									</xsl:if>
								</input>
							</td>
							<td valign='top'>
								<input
								 class='button'
								 type='button'
								 id='addSelector'
								 name='addSelector'
								 title='Add the selector to the ordered list'
								 value='Add'>
								 <xsl:attribute name='onclick'>fnAddSelector(<xsl:call-template name='args'><xsl:with-param name='location' select='$location'/><xsl:with-param name='inputSystem' select='$inputSystem'/></xsl:call-template>)</xsl:attribute>
									<xsl:if test='$chkAll=1'>
										<xsl:attribute name="disabled">true</xsl:attribute>
									</xsl:if>
								</input>
							</td>
							<td rowspan='2'>
								<select
								 name='oldselectors'
								 id='oldselectors'
								 title='Ordered list of selectors that will be applied in sequence'
								 size='4'
								 style='width: 205px;'
								 multiple='multiple'>
									<xsl:if test='$chkAll=1'>
										<xsl:attribute name="class">inputDisabled</xsl:attribute>
										<xsl:attribute name="disabled">true</xsl:attribute>
									</xsl:if>
									<xsl:apply-templates select='selector' mode='list1'/>
									</select>
							</td>
							<td valign='top'>
								<input
								 class='button'
								 type='button'
								 id='delSelector'
								 name='delSelector'
								 title='Remove the selected entry from the list'
								 value='Remove'>
								 <xsl:attribute name='onclick'>fnDelSelector(<xsl:call-template name='args'><xsl:with-param name='location' select='$location'/><xsl:with-param name='inputSystem' select='$inputSystem'/></xsl:call-template>)</xsl:attribute>
									<xsl:if test='$chkAll=1'>
										<xsl:attribute name="disabled">true</xsl:attribute>
									</xsl:if>
								</input>
							</td>
						</tr>
						<tr valign='top' align='right' id='counter'>
							<td></td>
							<td align='left' id="itemCount">
								<label>0 objects selected</label>
							</td>
							<td></td>
							<td></td>
						</tr>
					</table>
				</div>
			</div>
		</td>
	</tr>

	<tr>
		<td height='15'></td>
	</tr>
</table>

</xsl:template>

<xsl:template name='args'>
  <xsl:param name='location'/>
  <xsl:param name='inputSystem'/>
  <xsl:choose>
    <xsl:when test='$location'>'<xsl:value-of select='$location'/>'</xsl:when>          
    <xsl:otherwise>null</xsl:otherwise>          
  </xsl:choose>,<xsl:choose>
    <xsl:when test='$inputSystem'><xsl:value-of select='$inputSystem'/></xsl:when>          
    <xsl:otherwise>null</xsl:otherwise>          
  </xsl:choose>
</xsl:template>

<!-- Selector list boxes -->
<xsl:template match='selector' mode="list1">
	<item>
		<label><xsl:value-of select="@selector" /></label>
		<value><xsl:value-of select="@selector" /></value>
	</item>
</xsl:template>


</xsl:stylesheet>
