//vc/ VC/m transfer route Class
//vc/ Copyright 1999,2002 George James
//vc/ Object:    TransferRoute.js
//vc/ Component: T.TransferRoute.js


	// Transfer route Class
TransferRoute = {}
TransferRoute.Current=Disabled;
TransferRoute.windowProperties  = 'left=50,top=50,width=530,height=495,toolbar=no';
TransferRoute.windowProperties += ',location=no,directories=no,status=yes,resizable=yes,menubar=no';


	// Public - Display List of transfer routes and make this the active folder
TransferRoute.fnList = function() {
	//
	SelectedClass=TransferRoute
	Class.fnUnselect()
	//
	ServerLink.fnDo('TransferRoute.fnListResult','TransferRoute.fnList','')
}

TransferRoute.fnListResult = function(oResult) {
	//
  // Copy results from oResult to document
  ServerLink.fnUpdate(oResult,'divFolderHeadingCaption')
  ServerLink.fnUpdate(oResult,'divMainBody')
  ServerLink.fnUpdate(oResult,'divMainHead')
}

	// Private - Invoked when an item is selected on the list
TransferRoute.fnSelect = function(oCell) {
	Class.fnSelect(TransferRoute,oCell);
}

	// Public - Open new transfer route window
TransferRoute.fnNew = function() {
	fnRunWindow("TransferRoute.fnNew",TransferRoute.windowProperties); 
}

	// Public - Open transfer route
TransferRoute.fnOpen = function(sTransferRoute) {
	var url;
	var keys = sTransferRoute.split("|");
	//
	// Build url string
	url  = parent.serverUrl ;
	url += '&page=' + escape('TransferRoute.fnOpen') ;
	url += '&selectedItem=' + encodeURIComponent(keys[0]) ;
	url += '&lcode1=' + encodeURIComponent(keys[1]) ;
	url += '&lcode2=' + encodeURIComponent(keys[2]) ;
	//
	// Open transfer route window
	winTransferRoute=window.open(url,'_blank',TransferRoute.windowProperties) ;
	winTransferRoute.focus();
}

	// Public - Copy transfer route
TransferRoute.fnCopy = function(sTransferRoute) {
	var url;
	var keys = sTransferRoute.split("|");
	//
	// Build url string
	url  = parent.serverUrl ;
	url += '&page=' + escape('TransferRoute.fnCopy') ;
	url += '&selectedItem=' + encodeURIComponent(keys[0]) ;
	url += '&lcode1=' + encodeURIComponent(keys[1]) ;
	url += '&lcode2=' + encodeURIComponent(keys[2]) ;
	//
	// Open transfer route window
	winTransferRoute=window.open(url,'_blank',TransferRoute.windowProperties) ;
	winTransferRoute.focus();
}

	// Public - Delete a transfer route
TransferRoute.fnDelete = function(sTransferRoute) {
	var arguments;
	var keys = sTransferRoute.split("|");
	//
	if (!confirm("Are you sure you want to delete route "+keys[0]+" from "+keys[1]+" to "+keys[2]+" ?")) return;
	//
	arguments  = keys[0];
	arguments += delimiter + keys[1];
	arguments += delimiter + keys[2];
	//
	parent.serverLink.fnDo('TransferRoute.fnDeleteResult','TransferRoute.fnDelete',arguments);
}

TransferRoute.fnDeleteResult = function(result) {
	if (result!="OK") {
		alert(result);
		return;
	}
	fnRefreshSelected();
}

  // Refresh TransferRoute
TransferRoute.fnRefreshArguments = function(oMain)   {
  //
	var arguments=""
	//
  arguments +=          getAttr(oMain,'gjsParentId')
  arguments += '\002' + gjsTree.fnMores(fnElement(getAttr(oMain,'gjsRowId')+'click').previousElementSibling)
	arguments += '\002' + getAttr(oMain,'gjsItem')
	arguments += '\002' + getAttr(oMain,'gjsRowId')
	arguments += '\002' + getAttr(fnElement(getAttr(oMain,'gjsRowId')+'body').parentNode,'gjsReferenceHeadingId')
	//
	return arguments
}

TransferRoute.fnRefresh = function(arguments)   {
  //
  ServerLink.fnDo('TransferRoute.fnRefreshResult','TransferRoute.fnRefresh',arguments)
}

TransferRoute.fnRefreshResult = function(oResult) {
  gjsTree.fnRefreshRows("divMainBody",oResult)
  gjsTree.fnDeleteRows("divRowDelete",oResult)
}


TransferRoute.Item = {

 fnDelete: function() {
	if (typeof(TransferRoute.Current)=='undefined') return;
	TransferRoute.fnDelete(getAttr(TransferRoute.selectedCell,'gjsItem'));
 },
 
	// Public - open selected transfer route (if there is one)
 fnOpen: function() {
	if (typeof(TransferRoute.Current)=='undefined') return;
	TransferRoute.fnOpen(getAttr(TransferRoute.selectedCell,'gjsItem'));
 },
 
	// Public - copy selected transfer route (if there is one)
 fnCopy: function() {
	if (typeof(TransferRoute.Current)=='undefined') return;
	TransferRoute.fnCopy(getAttr(TransferRoute.selectedCell,'gjsItem'));
 }
}
